.;SETUP
.;
.; NOTE:  This RNO file must be processed with RUNOFF,
.;	  version S1.4 (831001) or later.
.;
.; Settings for optional text segments
.;
.;	INCLUDE  one or more of the following three options:
.;
.include 1	! Operating procedures for RSX/IAS
.exclude 2	! Operating procedures for RSTS/E
.exclude 3	! Operating procedures for RT-11 (reserved for future use)
.;
.;  INCLUDE  or  EXCLUDE  each of the following options:
.;
.exclude 4	! Alternating output
.exclude 5	! Description of  FIRST TITLE  command
.;
.; End of option settings
.;
.; DOCUMENT SETUP
.;
.option 4		! Optionally alternate with 6-space offset
.alternate 6
.alternating title
.end option 4
.;
.flags hyphenate
.page format ,57,,72
.level style 2,2	! Set format of section headers
.level style 3,1
.level style -4,1
.level style 5,1
.no header
.disable output
.paragraph 0,1,2
.enable output
.number 1
.no number
.;
.; END OF DOCUMENT SETUP

.;TITLE PAGE
.figure 15 RUNOFF Documentation Preparation Program

.figure 3,,- User's Manual -

.figure 12 Program Version:  S1.4

.s
.c Program Revision#
.c,10 October 1983
.s
.c Document Revision
.c,10 October 1983

.figure 5 Submitted by
.s
.c Charles H. Spalding III
.s
.c Adept Technology, Inc.
.c,1202 Charleston Road
.c Mountain View, CA

.;DISCLAIMER PAGE
.;
.fill
.page
.figure 15

General permission to copy (but not for profit) is hereby granted
provided that reference is made to the fact that reproduction privileges
were granted by DECUS.

.s

The information in this document is subject to change without notice and
should not be construed as a commitment by the submitter, DECUS or
=Digital Equipment Corporation.

.s

No warranty, expressed or implied, is made by the submitter, DECUS or
Digital Equipment Corporation as to the accuracy of this document or the
functioning of the described software and related material, and no
=responsibility is assumed by these parties in connection therewith.

.s

The described software is currently supported by the submitter as the
RUNOFF Working Group of the DECUS RSX Special Interest Group, but
continuance of that support is not assured.

.s -3

DECUS, IAS, RSTS and RSX are trademarks of Digital Equipment Corp.

.;T of C
.header blank
.pg
.nf
.c TABLE OF CONTENTS


.c Move the table of contents to here from the end of the output.
.f

.;INTRODUCTION
.header blank
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.number 1
.chapter INTRODUCTION

RUNOFF#(RNO) is a program to facilitate the preparation of typed or
printed manuscripts, such as memos, manuals, etc.  To use RUNOFF, the
user prepares his material on any regular terminal, writing it onto a
file using a text editor.  The file contains not only the textual
=material of the document, but also instructions to RUNOFF which
determine how the information will appear in the final manuscript.
RUNOFF takes the file and reproduces it onto the line printer, the
terminal, or another file to produce a final copy or final file image.
In the process RUNOFF follows the user instructions embedded in the
file, performing such formatting actions as line justification, page
numbering and titling, etc.  RUNOFF can also perform additional
functions such as =compilation of tables of contents and an index.

.s

The principal benefit of such a program is that documents prepared with
it may be easily edited and corrected.  Small or large amounts of text
may be added or deleted, and unchanged material need not be retyped.
After a set of changes, RUNOFF may be run to produce a new output copy
which is properly formatted and paginated.  Documentation may thus be
updated as necessary without requiring extensive retyping or editing.

.s

Briefly, the procedure for producing a manuscript using RUNOFF is as
follows:

.list
.le Use a text editor to compose the input file, including
commands to RUNOFF to control the format of the final manuscript.

.le Apply RUNOFF to the input file, producing an output file or =document.

.le Review the output for anything which doesn't satisfy you.  For
example, you may be able to scan the output file with the same
text editor that was used to create the input file, or the
=document can be printed for review.

.le If necessary, edit the ^&input\& file to change the text and RUNOFF
commands.

.le Repeat the above sequence of steps as required to achieve the
desired manuscript.
.end list

.st Overview
.hl 1 OVERVIEW

The next chapter describes the format of the input file(s) read by
=RUNOFF to create the desired output document file.  Certain characters
which have special significance to RUNOFF are explained.

.p ,,2,5

Chapter 3 describes all the RUNOFF commands in detail.  The final chap=ter
explains how to use RUNOFF to process input files into formatted document
files.  That includes the use of command-line switches to control the
operation of RUNOFF in ways which may override commands in the input
file(s).

.s

The appendices include:

.list 1,o

.le A complete list of the messages output by RUNOFF to the user's terminal.

.le A discussion of the provisions for controlling the page format and
margins of the output document.

.le A description of how case information can be specified when using a
terminal capable of only uppercase operation.

.le A review of the characters with special meaning to RUNOFF.

.le A description of a procedure which can be used to have RUNOFF place the
tables of contents at the front of the output =document.

.le A list of the initial conditions in effect when RUNOFF execution begins.

.le A complete list of all RUNOFF commands--including a brief
sum=mary of all command arguments, any abbreviation for the
command, special characteristics of the commands, and commands
which are related to each command.

.le A list of all the abbreviations for RUNOFF commands.

.end list

.hl 1 NOTATION
.x Notation
.x Angle brackets (<_>)
.x #<_> (angle brackets)

Two shortened notations are used in this manual.  Angle brackets (<#>)
are used to enclose an item which describes the actual argument to
=appear.  Thus the user can supply the appropriate item in that position
when entering the command.  Note that these brackets are used in this
manual only for clarification and are ^&never\& to be included as part
of a command.

.p ,,5
.x Brackets ([])
.x Square brackets ([])
.x #[] (square brackets)
.y Parameter>command (see Arguments)
.x Command>arguments>optional
.x Arguments>optional
.x Optional>command arguments

Many RUNOFF commands have optional arguments.  In the descriptions in
this manual, optional arguments are enclosed in square brackets ([#]).
Once again, the square brackets are never included when a command is
=entered in the input.

.;INPUT FILE
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.chapter INPUT FILE FORMAT
.x Input>file format
.x Source file format

As mentioned above, the input or source file contains the textual
=material which will appear in the final copy, plus information to
specify formatting.  Case-control information also may be supplied so
that copy can be prepared on a terminal or other such device which can
input only uppercase letters (see Appendix C).  All command information
consists of regular ASCII printing characters so that a listing of the
input file may be examined if the final copy is not =exactly as desired.

.s
.x Command>line
.x Command>character
.x Period character (_.)
.x #_.  (command character)

All material in the input file is taken to be source text except those
lines with a period in column one.  A line beginning with a period is
assumed to contain command information to RUNOFF.  The commands must be
among those listed in Chapter 3.  The commands provide the formatting
information, and control various modes of operation.

.s
.x Filling of text
.x Justification of text

Usually, the text is filled and justified as it is processed.  That is,
the program fills each line by adding successive words from the source
text until one more word would cause the text right margin to be
exceeded.  The line is then justified by making the word spacings larger
until the last word in the line exactly meets the text right margin.

.s
.x Hyphenation

If desired, words can be automatically hyphenated if that will help make
the filling more even.  You should be aware, however, that RUNOFF's
hyphenation algorithm is far from perfect.  If you want the output
document to be correctly literate, you should review all the
hyphen=ations introduced by RUNOFF to make sure they are correct.  There
is a special character which can be used to either disable hyphen=ation
of a specific word, or to specify where a word should be hyphen=ated if
a break is needed.  If you want, you can limit hyphenation to points
=explicitly marked in the input as acceptable.

.s
.x Literals

The user may occasionally wish to reproduce the source text exactly,
which is done by disabling filling and justification or by use of the
LITERAL command.  The program may be set to fill but not justify, in
which case the output will be normal except that lines will not be
=justified to the text right margin.

.s
.x Space
.x Word>spacing

When fill mode is on, spaces, and carriage returns occurring in the
input text are treated only as word separators.  Multiple separators
are treated as one separator.  Thus, material in the input can be
entered without concern for its appearance and RUNOFF will take care
of making the output document tidy.

.s
.x Break

Some of the commands cause a "break" in the output.  A break means that
the current line is output without justification, and the next word goes
at the beginning of the next line.  For example, this occurs at the end
of paragraphs.

.p ,,2,4
.x Page>numbering

The program will advance to new pages as necessary, placing the title
(if given) and the page number at the top of each page.  The user may
call explicitly for a page advance where desired, and may inhibit the
occurrence of a page advance within specified material.

.p ,,2,5

This manual was prepared with RUNOFF, so you can get an idea how things
are formatted by looking at its input file.  For example, the table of
contents, page and chapter headings, page numbering, footnotes, notes
within the text, lists, the index, etc.#were all produced with =RUNOFF
commands.

.st Special Characters
.tp 9
.hl 1 SPECIAL CHARACTERS
.x Special characters

The following characters may have special interpretations when they are
encountered in an input file.  This must always be kept in mind because
it is sometimes desired to have these characters appear in the output.
The first special character described below is used to achieve that.

.p 0,1,3

The special interpretation of all these characters can be disabled with
the command DISABLE#SPECIAL.  The command #ENABLE#SPECIAL# causes the
characters to have their special interpretations once again.

.lm +5.p -5,1,4
__##Underbar#######Quote next character *

.footnote 5
.lm 3.p -3,1
*##The #QUOTE CHARACTER# command can be used to change the character
used as the quote character.
If the quote character is changed, the new quote character becomes a
"special character" and the underbar character ceases to be one.
!

.x Underbar character (__)
.x #__  (quote character)
.x Quote character
.s

To allow the appearance of the special characters in the output, the
underbar character ("__"#[137#octal]) is used as a quote character.  That
is, the character immediately following an underbar will be transmitted
to the output with no formatting effect.  The underbar itself is thus
another case requiring quoting.  The following cases can occur:  "____",
"___&", "___#", "___^", "___\", "___=", "___<" and "___>".

.p -5,,4
_###Number Sign####Explicit space
.x Number-sign character (_#)
.x #_#  (explicit-space character)
.x Space
.x Explicit space
.x Quoted space
.p 0,1,2,7

It is occasionally necessary to include spaces in the text which
should not be treated as word separators.  For this purpose, RUNOFF
treats the number-sign character ("_#"#[43#octal]) as a quoted space.
That is, it will print as exactly one space in the output and will
never be expanded nor changed to a carriage return.  To have a
number sign appear in the printed text, it must be preceded by the
quote character ("___#").

.p -5,,4
_&##Ampersand######Underscoring
.x Ampersand character (_&)
.x #_&  (underscore character)
.x Underscore character
.x Underlining
.s

The ampersand character ("_&"#[046#octal]) is used to specify
underscoring.  The ampersand will cause the character following it
to be underlined--for example, "_&f_&o_&o" becomes "^&foo\&".

.s

Underlining of a string of characters can also be specified in a
manner similar to that of a shift-lock operation.  An appearance
of ampersand preceded by circumflex ("_^_&") will cause underlining
of all following characters except tab, space and underbar.  An
appearance of ampersand preceded by backslash ("_\_&") will disable
this mode.  For example, "_^_&foo_\_&" becomes "^&foo\&".

.s

To have an ampersand appear in the printed text, it must be
=preceded by the quote character ("___&").

.p -5,,4,7,3
_^##Circumflex#####Uppercase shift or mode lock
.x Carat character (_^)
.x Circumflex character (_^)
.x #_^  (shift character)
.x Shift character
.x Lock character
.x Mode>lock
.s

The circumflex character ("_^"#[136#octal]) is used to convert the letter
following to uppercase (see Appendix C).  It is also used to lock the
case mode in uppercase, and the underline mode to "underline all text."
If it is to appear in the printed text, a circumflex must be preceded
by the quote character ("___^").

.p -5,,4
_\##Backslash######Lowercase shift or mode unlock
.x Backslash character (_\)
.x #_\  (unlock character)
.x Unlock character
.x Mode>unlock
.s

The backslash character ("_\"#[134#octal]) is used to output the letter
following in lowercase (see Appendix C).  It is also used to lock
the case mode in lowercase, and to disable underlining.  If it is
to appear in the printed text, a backslash must be preceded by the
quote character ("___\").

.p -5,,4
_=##Equal sign#####Hyphenation disable/specification
.x Equal-sign character (_=)
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Hyphenation>flag character
.x Flag character>hyphenation
.x Preferred hyphenation
.s

If a #FLAGS HYPHENATE# command has been issued, the equal-sign
character ("_="#[75#octal]) takes on two functions intended to
control hyphenation in the output.  If an equal sign precedes a
word, hyphen=ation is disabled for the word.  If an equal sign is
embedded within a word, it specifies a point at which the word
can be hyphen=ated if necessary.  In the latter case, the word
will be hyphen=ated only at such marked points, or at explicit
hyphens in the input.  (The hyphenation feature can be made to
break words only at points which are explicitly marked.)

.p 0,,3

If a #FLAGS HYPHENATE# command has been issued and an equal sign is
to appear in the printed text, it must be preceded by the quote
character ("___=").

.p -5,,4,6,2
_<##Less than######Capitalize next word
.x Less-than character (_<)
.x #_<  (capitalization character)
.x Capitalization character
.x Word>capitalization
.x Flag character>capitalization
.x Case control
.s

If a #FLAGS#CAPITALIZE# command has been issued, the less-than
character ("_<"#[74#octal]) is used to capitalize the entire word
it precedes.  Then, if it is to appear in the printed text, a
less-than character must be preceded by the quote character ("___<").

.p -5,,4
_>##Greater than###Subindex following text
.x Greater-than character (_>)
.x #_>  (subindex flag character)
.x Subindexing>flag character
.x Flag character>subindexing
.s

If #FLAGS#SUBINDEX# is in effect (the initial condition), the
greater-than character ("_>"#[76#octal]) is a special character
used in #ENTRY or INDEX# commands to indicate that the following
text is to be entered in the index as a subentry under the text
preceding the greater-than character.

.p 0,,2

Unlike the other special characters above, the greater-than
character can appear in the text without having to use the quote
character.  In order to have a greater-than character appear in the
index, however, one must disable it as a special character with the
NO FLAGS SUBINDEX# command, or precede the greater-than character
with the quote character ("___>"), or use DISABLE SPECIAL.

.lm -5.rm

.;COMMANDS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.chapter RUNOFF COMMANDS
.x Period character (_.)
.x #_.  (command character)
.x Command>character

The commands described in this chapter will be recognized if they are in
a command line.  Any line in the input file with a period in column one
is assumed to be a command line.  If a command line is found to contain
an invalid command, an error message will be displayed on the user's
ter=minal and the remainder of that command will be ignored.

.st Syntax
.hl 1 COMMAND SYNTAX
.x Command>syntax
.x Syntax, command

Commands can be entered in either uppercase or lowercase (for clarity,
all commands are shown in uppercase in this manual).  Multi-word command
names may appear either spaced out or compressed.  Thus, for example,
both "PAGE#FORMAT" and "PAGEFORMAT" are legal.  When spaced out, command
words can be separated by one or more spaces and/or tabs.  Many commands
may be abbreviated.  Acceptable abbreviations are shown along with the
commands in this chapter, as well as in Appendix G.

.s

In general, more than one command may be entered on a single command
line.  However, those commands which accept a text argument must be the
last command on a line.  If multiple commands are on a line, each
command must begin with a period.  Semicolons may optionally be used
to further separate commands.

.s

Some commands take one or more arguments.  These are separated from the
command name by one or more spaces and/or tabs.  If a command can have
multiple arguments, the arguments can generally be separated by commas,
spaces or tabs.  (For clarity, commas are used to separate arguments in
the command descriptions and examples in this manual.)

.hl 2 Numeric Arguments
.x Numeric arguments
.x Relative arguments
.x Arguments>numeric
.x Arguments>relative
.x Command>arguments>numeric
.x Command>arguments>relative

Numeric arguments are always considered to be decimal values.  Some
commands accept signed numeric arguments.  In most cases such signed
values are used to modify the current value for the corresponding
parameter.  For example, ".LEFT MARGIN 5" would set the left margin to
five spaces from the left edge of the page, but ".LEFT MARGIN +5" would
move the left margin five spaces to the right from its position at the
time.

.p ,,10

The following commands will accept relative numeric arguments:

.p ,,8
.c ALTERNATE                   NUMBER      #
.c AUTOSUBTITLE                PAGE FORMAT #
.c CENTER                      PAGE SIZE   #
.c CENTRE                      PAPER SIZE  #
.c HEADER                      RIGHT JUSTIFY
.c HEADER LEVEL                RIGHT MARGIN#
.c LEFT MARGIN                 STANDARD    #
.c LEVEL STYLE                 TAB STOPS   #

.hl 2 Text Arguments
.x Text>arguments
.x Arguments>text
.x Command>arguments>text

Several RUNOFF commands take a text argument.  For example, the TITLE
command takes the text string to be used for the title in page headers.
Commands which take a text argument cannot be followed by any other
command on the same line because the remainder of the line is taken to
be the text argument.

.s

The text argument is generally assumed to begin with the first non-blank
character after the command name (e.g., see the TITLE command) or
preceding command argument (e.g., see the CENTER command).  However, if
a semicolon precedes the text argument, then the text begins immediately
after the semicolon.  This is useful if you want the text argument to
have leading tabs or spaces.  Some commands allow the text argument to
be placed on the line after the command line--if that is done, a comma
is not needed and a semicolon cannot be used.

.hl 2 Optional Arguments
.x Arguments>optional
.x Command>arguments>optional
.x Optional>command arguments
.x Commas

Many RUNOFF commands will assume a default value for an argument which
is omitted, thus those arguments are optional.  (Recall that optional
arguments are shown enclosed in brackets in this manual.) If an optional
argument is omitted, and a subsequent argument for the same command is
=explicitly specified, commas must be provided as required to properly
position the arguments.  For example, the PAGE FORMAT command has the
=syntax

.s
.c _.PAGE FORMAT [<top>],[<length>],[<left base>],[<width>]
.s

If only the second and third arguments are to be specified (i.e., the
defaults are acceptable for the others), the command can be entered as

.s
.c _.PAGE FORMAT ,54,10
.s

Note that a leading comma must be included to properly position the
=second argument, and no comma is needed after the third argument since
no more arguments follow.

.p ,,2,4,2

For commands which take a numeric argument and a text argument: if the
numeric argument is optional and is omitted, a comma or semicolon must
be used to set off the text only if it begins with a number or sign
(i.e., when it could be confused for the numeric argument).

.hl 2 Initial and Default Values
.x Values>default
.x Values>initial
.x Default values
.x Initial settings
.x Arguments>default values
.x Arguments>initial settings
.x Command>arguments>default values
.x Command>arguments>initial settings

^&Initial values\& are assumed for all parameters whenever RUNOFF
execution begins.  Those values are noted in the descriptions of the
commands in this chapter and are summarized in Appendix F.

.s

A ^&default value\& is assumed whenever an optional argument is omitted
from a command.  The individual command descriptions describe the
default value assumed for each optional argument.

.s

All the initial and default values are summarized in Appendix G.

.;PAGE FORMAT
.st Page Format
.tp 12
.hl 1 PAGE FORMAT COMMANDS
.x Page>format
.x Parameter>setting
.x Commands>page format
.x Commands>parameter setting

The following commands are used to set the values of parameters
used by RUNOFF while formatting the output document.

.lm +5
.p -5,2,6
_.PAGE FORMAT [<top>],[<length>],[<left base>],[<width>]
.rj _.PF ...
.x PAGE FORMAT command
.x Format, page
.x Page>format
.x Page>length
.x Page>width
.x Length>page
.x Margin>base
.x Margin>text
.x Margin>top
.x Top margin
.x Base margin
.x Width>page
.x Text>margin
.s

Sets several parameters for the page format.  The parameters are:

.lm +14
.p -11,1,2

Top########The number of blank lines to be output at the top of every
page before the page header (or text if headers are disabled).

.p

Length#####The total number of lines to be on each page (not counting
"top").

.p

Left#base##The base column from which LEFT#MARGIN, RIGHT#MARGIN and TAB
STOP settings are to be made.

.p ,,1

Width######The default right margin to be used.

.lm -14
.p 0,1,2

The initial settings are 0, 56, 0, and 60, respectively.  If any
par=ameter is omitted, it remains unchanged.

.p ,,2,4

This command also sets the right margins for the text and page
headers (see the HEADER command) if the "width" argument is given.
That is, the respective right margins are set to <width> if a value
is =present, otherwise the right margins are not affected.

.s

See Appendix B for further descriptions of page format and =margins.

.note
.x LAYOUT command

The PAGE FORMAT command had the name "LAYOUT" in earlier
editions of this version of RUNOFF.  The name has been
changed to avoid confusion with the LAYOUT command in DEC
Standard RUNOFF.

.end note

.p -5,,7
_.PAGE SIZE [<length>],[<width>]
.rj _.PS [<length>],[<width>]
.i -5 _.PAPER SIZE [<length>],[<width>]
.x PAPER SIZE command
.x PAGE SIZE command
.x Page>length
.x Length>page
.x Margin>text
.x Text>margin
.x Width>page
.s

Sets the size of pages to <length> lines long by <width> characters
wide and sets the header and text right margins to <width>.  The
initial settings are 56,60 and the defaults are the current page
length and width, respectively.  Also see the /PA switch.  (See
=Appendix B for a further explanation of the parameters.)

.p -5,,6
_.SPACING <lines>
.rj _.SP <lines>
.x SPACING command
.s

Sets the line spacing.  The number of lines can range from 1 to 5,
the initial setting is 1.  SPACING#1# is like single spacing on a
type=writer and #SPACING#2# is like double spacing.  That is,
=SPACING#2# puts one blank line between lines of text.

.p -5,,5
_.LEFT MARGIN [<number>]
.rj _.LM [<number>]
.x LEFT MARGIN command
.x Margin>text
.x Text>margin
.s

Sets the text left margin to <number> columns from the base margin
set by the PAGE FORMAT command.  If "number" has a sign, it is
interpreted as a relative change to the current left margin.  The
result must be less than the text right margin but (when added to the
current indent value) must not be less than
0.  The initial setting and the =default are both 0.  (See
Appendix B for a further description of text margins.)

.p -5,,4
_.RIGHT MARGIN [<number>]
.rj _.RM [<number>]
.x RIGHT MARGIN command
.x Margin>text
.x Text>margin
.x Width>text
.s

Sets the text right margin to <number> columns from the base margin
set by a PAGE FORMAT command.  If "number" has a sign, it is
interpreted as a relative change to the current right margin.  The
result must be greater than the text left margin plus the current
indent.  The initial setting is 60; the default is the current
width set by a PAGE#FORMAT or PAGE#SIZE command.  (See Appendix B
for a further description of text margins.)

.p -5,,7
_.TAB STOPS [<n1>],[<n2>],...
.rj _.TS [<n1>],[<n2>],...
.x TAB STOPS command
.x Tab stops
.s

Sets up to 32 tab stops.  The numbers must be greater than 0 and
listed in ascending order.  The TAB#STOPS command clears all
existing tabs before setting new ones.  The initial tabs are set at
eight-column intervals to match the hardware standard.  These tabs
are at columns 8, 16, 24, 32, 40, 48, _..., 240, and 248.  If no
=arguments are present, the standard tabs are set.

.p 0,,2,5,2

Tab characters in the input are converted to the appropriate number
of non-expandable spaces.  If there are no space characters to the
left of tab characters, they will print out at the appropriate
=position, even if FILL is on.  If LITERAL is on, tabs are not
=converted to spaces, but are output as tab characters.

.p ,,2,5,2

Tab stops are set relative to the "left base" (see the PAGE FORMAT
command) and are independent of the left margin.  Any tabs which
are less than the left margin will not be seen.  If a tab appears
at a point where no further tab stops have been set on the line,
the tab will be treated as though it had been a space.

.p 0,,3

An error message is output if an attempt is made to set more than
32 stops, or if a value is not in ascending order.  In either case,
the tab stops up to the cause of the error ^&are\& set.

.p -5,,6
_.STANDARD [<number>]
.rj _.SD [<number>]
.x STANDARD command
.x Margin>header
.x Margin>text
.x Text>margin
.s

Returns parameters to their initial settings and sets the header
and text right margins to <number> (the default is the current page
=width).  For example, if STANDARD#72 is specified, parameters are
reset as follows:  HEADER length 5, left margin 0, right margin 72;
PAGE#FORMAT#0,56,0,72; SPACING#1; LEFT#MARGIN#0; RIGHT#MARGIN#72;
TAB#STOPS#8,16,24,32,40,48,56,...,248; =PARAGRAPH indent 5, skip 1,
test 2; LIST skip 1; LIST ELEMENT test 1.  Also, FILL and JUSTIFY
are enabled.

.p 0,,2

This command is useful if settings are changed and it becomes
=necessary to reinitialize the standard format.

.;PAGE HEADER
.lm -5
.st Page Header
.tp 12
.hl 1 PAGE HEADER COMMANDS
.x Page>header
.x Commands>page header

The following commands can be used to control the appearance of a
header at the top of each page of the output document.

.lm +5
.p -5,2,6
_.HEADER [<style>],[<length>],[<left>],[<right>]
.rj _.HD ...
.x HEADER command
.x Page>header
.x Header>length
.x Length>header
.x Header>width
.x Width>header
.x Margin>header
.x Header>margin
.s

Turns on the printing of a page header on each page (title,
sub=title and page number) and sets how the word "page" will be
printed.  The "style" argument should be "MIXED" to specify "Page",
"UPPER" for "PAGE", "LOWER" for "page", or "BLANK" to have the word
suppressed.  The initial setting is HEADER MIXED, and MIXED is the
default if no style is provided.

.p 0,1,2,6

This command also sets the size of page headers.  The last three
arguments have the following meanings:  (1) "length" is the number
of lines in the page header; (2) "left" and (3) "right" are
the header left and right margins, respectively.  The initial
=values are 5, 0, and 60, respectively, and omitted arguments are
not changed from their value at the time the command is processed.

.s

See Appendix B for further descriptions of page format and =margins.

.p -5,,5
_.NO HEADER
.rj _.NHD
.x NO HEADER command
.s

Causes the page header (title, subtitle, and page number) to be
=omitted.  The header lines are completely omitted, so that text
=begins at the top of the page.

.p 0,,2

If no header is wanted on the first page of the output, this command
must appear in the input file before the first text (or blank) line.

.p -5,,7
_.TITLE [<text>]
.rj _.T [<text>]
.x TITLE command
.x Title
.x Page>header
.s

Takes the remaining text as the title for output in page headers on
the top line.  The default is no title.  (Note, however, that the
title is set by the CHAPTER, APPENDIX and DO#INDEX commands.)  A
previously set title can be cancelled by using this command with no
text.  The title can be up to 80 characters long.

.p 0,,2

If a title is desired on the first page of the output, this command
must appear in the input file before the first text (or blank)
line.  If a title is to be set, but should not appear on the first
page, there must be at least one non-command line in the input
ahead of the TITLE command.  This can be satisfied with a blank
line.

.option -5	! Include the following if "EXCLUDE 5"

.p 0,,3

Earlier versions of RUNOFF had a FIRST TITLE command for setting a
title to appear on the first page of the output.  That command has
been eliminated--use the above method to obtain that result.

.else -5	! Include the following if "INCLUDE 5"

.p -5,,6
_.FIRST TITLE <text>
.rj _.FT <text>
.x FIRST TITLE command
.x Page>header
.x Title
.s

Same as TITLE, but used to specify the title to be printed on the
first page of the document.  This command must precede all text in
the input file.  Use of the FIRST TITLE command is the only way to
print a title line on the first page of the document.

.end option -5

.p -5,,5
_.SUBTITLE [<text>]
.rj _.SUBTTL [<text>]
.rj _.ST [<text>]
.x SUBTITLE command
.x Page>header
.x Subtitle
.x AUTOSUBTITLE command
.s

Takes the remaining text as the subtitle for output in page
headers.  It appears directly under the title unless #ALTERNATING
TITLE# is in effect (see below).  The subtitle is not indented, but
indentation can be achieved by using leading explicit spaces ("_#").
A pre=viously set subtitle can be cancelled by using this command
with no text.  Note that the subtitle will be set by #HEADER#LEVEL
commands if =AUTOSUBTITLE# is active (see below).  The subtitle can
be up to 80 characters long.

.p 0,,2

See the description of the TITLE command for rules regarding the
appearance of titles on the first page of the output.

.p -5,,8
_.AUTOSUBTITLE [<level>]
.rj _.AS [<level>]
.x AUTOSUBTITLE command
.x HEADER LEVEL command
.x Subtitle
.s

Controls the automatic setting of the subtitle when HEADER#LEVEL
commands are processed.  This feature is disabled when "level" is
zero (the initial setting).  A nonzero value causes the subtitle to
be set to the HEADER#LEVEL text for all levels up to and including
the specified level (the default is 1).  (Note that the subtitle
will not be output properly if the text is underlined.)

.p -5,,5
_.PAGE NAME [<text>]
.rj _.PN [<text>]
.x PAGE NAME command
.x Page>name
.x Page>header
.s

Takes the remaining text as a string to be output as a prefix to
the page number on subsequent pages.  It appears after the word
"Page" (unless it is suppressed by a HEADER#BLANK,...#command) and
is separated from the page number by a hyphen ("-").  A previously
set page name can be cancelled by using this command with no text.
The page name can be up to 40 characters long.

.p 0,,3

Note that the page name appears in place of a chapter number or
=appendix letter on page headers, but the page name does not appear
in index references or in the tables of contents.

.p -5,,5
_.ALTERNATE [<offset>]
.rj _.AL [<offset>]
.x ALTERNATE command
.x Offset, alternating
.x Page>header
.x Title
.x Subtitle
.s

Establishes alternating left/right printing of page headings, with
even-numbered pages having the page number at the header left
margin and the title(s) at the header right margin.  If an offset
is specified, odd-numbered pages will be shifted to the right
<offset> spaces, otherwise no offset occurs.  Also see the /AL switch.

.s

This command should be used if the output is to be reproduced on
both sides of the document pages.

.p -5,,4
_.NO ALTERNATE
.rj _.NAL
.x NO ALTERNATE command
.x Page>header
.s

Causes the page header to always have the title(s) at the header
left margin and the page number at the header right margin (initial
setting).  This command overrides #ALTERNATING TITLE# (see below).

.p -5,,5
_.ALTERNATING TITLE
.rj _.AT
.x ALTERNATING TITLE command
.x Page>header
.x Title
.x Subtitle
.s

When #ALTERNATE# is active (see the commands above and the
/AL switch), this command causes the title to be output on
even-numbered pages and the subtitle to be output on the ^&first\&
line of odd-numbered pages.

.s

An error message is produced if this command is encountered while
ALTERNATE# is not active.

.p -5,,5
_.NO ALTERNATING TITLE
.rj _.NAT
.x NO ALTERNATING TITLE command
.x Page>header
.s

Disables #ALTERNATING#TITLE# (the initial setting).  That is, this
command causes the page headers to always have the title on the
first line and the subtitle on the second line.

.;PAGING
.lm -5
.st Pagination
.tp 12
.hl 1 PAGINATION COMMANDS
.x Pagination
.x Page>breaking
.x Commands>pagination

These commands control the pagination and page numbering of the output
document.

.lm +5
.p -5,2,6
_.PAGE
.rj _.PG
.x PAGE command
.x Page>numbering
.s

Causes a BREAK and an advance to a new page.  If the current page
is empty, however, this command does not advance the page.  Just
like an automatic page advance, this command outputs the title(s)
(if given) and page numbers on the new page unless NO#HEADER has
been specified.  If CHAPTER commands are used to start each
chap=ter, the page numbers will have the form "c-p" where "c" is the
chap=ter number and "p" is the number of the page within the
chap=ter.  Page numbering is continuous throughout the document if
=CHAPTER and APPENDIX commands are not used or if running page
=numbers have been =requested.

.p -5,1,7
_.TEST PAGE <start>,[<length>],[<end>]
.rj _.TP <start>,[<length>],[<end>]
.x TEST PAGE command
.s

Causes a BREAK followed by a conditional page advance.  A new page
is started if fewer than <start> lines of text will fit on the
current page, taking the current line spacing into consideration.
This capability is to ensure that the following <start> lines are
all output on the same page.  (This function can also be achieved
with the optional argument "test" to the PARAGRAPH =command.)

.s

If <start> text lines will fit on the current page, but <length>
text lines will not, then a new page is started at the point which
will ensure that <end> lines appear together on the next page.  If
<length> is omitted, <end> is ignored and the secondary test is not
performed.  If <length> is provided, but <end> is omitted, <end>
defaults to <start>.  An error message results if <length> is less
than <start>#+#<end>.

.s

Note that "length" is meant to be a number of lines in the ^&output\&.
Thus, the value used may have to be revised after reviewing a draft
of the output.

.p -5,,4,6,2
_.TEST LINES <start>,[<length>],[<end>]
.rj _.TL <start>,[<length>],[<end>]
.x TEST LINES command
.s

Acts like the TEST PAGE command above, except that the parameters are
interpreted as numbers of lines in the output ^&without\& regard for
the current line spacing.  This is useful, for example, before starting
a LITERAL section when the text line spacing is larger than one.

.s

Note that when the spacing is set to one, TEST#LINES and TEST#PAGE
are equivalent.

.p -5,,7
_.SUBPAGE
.x SUBPAGE command
.x Numbering>subpages
.s

Executes a #PAGE# and initiates special page numbering in which the
page number remains fixed and an incremented letter is appended to
the page number on each page.  (The subpage letter is recorded with
entries in the tables of contents and the index.)

.p 0,,3

Subpage numbering continues until it is terminated by one of the
=following commands:  END SUBPAGE, CHAPTER, APPENDIX, DO INDEX or
=DO#CONTENTS.

.p 0,,2

Subpage numbering permits insertion of additional pages within a
document without changing the existing page numbering.  Up to 26
consecutive subpages (A-Z) may be inserted in this way.  Beyond
that number, the pages will be labelled with the ASCII characters
which follow "Z" (i.e., "[", "_\", "]", ...)#without any warning.

.p 0,,2

Note that if there are any blocks or figures pending when subpage
num=bering is begun, they will be output on the subpage.

.p -5,,4
_.END SUBPAGE
.x END SUBPAGE command
.s

Disengages subpage numbering by executing a PAGE command with
=normal page numbering resumed.

.p -5,,6
_.NUMBER [<number>]
.rj _.NM [<number>]
.x NUMBER command
.x Page>numbering
.x Numbering>pages
.s

Starts page numbering.  This is the default, so this command is
only needed if page numbering has been disengaged.

.s

If resumption of page numbering is desired with a certain page
number, specify the number desired on the ^&next\& output page.  A
signed increment can be given as the command argument to make the
new page number larger or smaller than it would be normally.

.p -5,,5
_.NO NUMBER
.rj _.NNM
.x NO NUMBER command
.s

Disengages the output of page numbers.  However, pages continue to
be counted, so that the normal page number will appear if page
=numbering is resumed with a NUMBER command with no argument.

.p -5,,8
_.CHAPTER <text>
.rj _.CH <text>
.x CHAPTER command
.x Page>header
.x Title
.x Chapter>heading
.x Page>numbering
.x Numbering>pages
.s

Starts a new chapter using the text as the title of the chapter.
This command acts as if the following command stream were entered:

.p 0,,3
.c _.NO HEADER .SPACING 1 .JUSTIFY .TITLE#
.c _.LEFT MARGIN .RIGHT MARGIN .SUBTITLE #
.c _.PAGE .FIGURE <lines>,CHAPTER <number>
.p 0,,2,5,2

where <lines> is 7 unless a different value is supplied with the
/BL command-line switch.  The chapter number is automatically
=incremented by 1.  (The maximum chapter number possible is 127,
but no error is reported if that limit is exceeded.)  After the
output of "CHAPTER#<number>", the following command stream occurs:

.p 0,,4
.c _.BLANK .CENTER <text> #
.c _.BLANK 3 .TITLE <text>#
.c _.HEADER <previous mode>
.c _.NUMBER 2             #
.p 0,,3

(If running page numbers are in effect, the last command is
replaced by just "_.NUMBER"; i.e., page numbering is enabled, but
the page number is not reset.)

.p ,,2

Note that as a result of the CHAPTER command, FILL and JUSTIFY are
turned on, the margin and spacing parameters are reset to the
de=fault =values, the title is set to the chapter title, the
subtitle is cleared, and page numbering is enabled.  Subsequent
page numbers will have the format <chapter>-<page> (unless running
page numbers have been requested or a page name has been set).

.p ,,2

If there are any blocks or figures pending when the CHAPTER command
is processed, they will be output before the new =chapter is begun.

.s
.x AUTOCONTENTS command
.x Tables of contents

If #AUTOCONTENTS# is active, an entry will automatically be made
in the table of contents for each chapter.

.p -5,,4,10,2
_.NUMBER CHAPTER <number>
.x NUMBER CHAPTER command
.x Chapter>numbering
.x Numbering>chapters
.x Page>numbering
.s

Supplies a number to be used in a subsequent CHAPTER command.
The chapter number provided must be in the range
of 1-127, inclusive.  (The effect of this command is to set the
current chapter number to <number>-1.  Note that pages are
numbered with =<chapter>-<page># whenever <chapter> is nonzero
and running page numbers have not been requested).

.p 0,,2

NUMBER#CHAPTER would be used, for example, when a chapter of a
=document occupies an input file of its own which will be RUNOFF
individually.  In such a case, NUMBER CHAPTER should occur before
the first CHAPTER command in the input file.

.p -5,,8
_.APPENDIX <text>
.rj _.AX <text>
.x APPENDIX command
.x Appendix>heading
.x Title
.x Page>numbering
.x Numbering>pages
.s

Starts a new appendix using the text as the title of the appendix.
This command acts just like the CHAPTER command, except that
="APPENDIX =<letter>" is output in place of "CHAPTER#<number>" and
pages are numbered as <letter>-<page> (unless running page numbers
have been requested).  The appendix letter is automatically
incremented alphabetically.

.s
.x AUTOCONTENTS command
.x Tables of contents

As with the CHAPTER command, an entry will automatically be made
in the table of contents for each appendix if #AUTOCONTENTS# is
=active.

.p -5,,4
_.NUMBER APPENDIX <letter>
.x NUMBER APPENDIX command
.x Appendix>numbering
.x Numbering>appendices
.x Page>numbering
.x Numbering>pages
.s

Supplies a letter to be used in a subsequent APPENDIX command.  The
letter provided must be in the range of A-Z, inclusive.  (This
command sets the current appendix letter to =<letter>-1.  Note that
pages are numbered with <letter>-<number> whenever <letter> is
=greater than or equal to "A" and running page numbers have not been
=requested).

.p 0,,2

NUMBER#APPENDIX would be used, for example, when an appendix of a
document occupies an input file of its own which will be RUNOFF
individually.  In such a case, NUMBER APPENDIX should occur before
the first APPENDIX command in the input file.

.p -5,,6
_.EVEN [<lines>],[<text>]
.x EVEN command
.s

Ensures that the page number is an even number by invoking the
=following commands if the current page number is odd:

.s
.c _.PAGE .BLANK <lines> .CENTER <text>
.p 0,,2,7,2

If <lines> is omitted, the number of blank lines which precede
chapter headings will be output (see the CHAPTER command and the
/BL switch).  If the page number is already even, no action is
taken.  Also, this command is ignored if a /-AL switch was
=specified in the command line.

.p 0,,2

Note that if page headers are enabled, a normal page header will be
output before any blank lines and text from this command.  Also
note that the EVEN command does not affect the title or subtitle.
Thus, you may want to explicitly change the title and subtitle
before issuing this command, and you should consider the length of
the normal page header when setting the "lines" parameter.

.p 0,,2

Any pending blocks and figures are processed before the new page is
=begun.

.p 0,,2

As an example, to ensure that a section begins on an odd-numbered
page (e.g., for two-sided printing), one can use the commands

.p 0,,2
.c _.EVEN (This page intentionally left blank.)
.c _.PAGE                                     #
.p

before beginning the new section.  (See the input file for this
manual for examples of this technique.)

.p -5,,4
_.ODD [<lines>],[<text>]
.x ODD command
.s

Similar to the EVEN command except that the action occurs only if
the current page number is even.  That is, the page number is forced
to be an odd number.

.;MODE SETTING
.lm -5
.st Mode Setting
.tp 13
.hl 1 MODE SETTING COMMANDS
.x Mode>setting
.x Commands>mode setting

These commands establish the status of several operational modes
within RUNOFF.

.lm +5
.p -5,2,4,9,2
_.FILL
.rj _.F
.x FILL command
.s

Causes a BREAK and specifies that subsequent output lines are to be
filled (initial setting).  Sets the justification mode to be that
specified by the last appearance of JUSTIFY or NO#JUSTIFY.  Filling
adds successive words from the source text until the adding of one
more word would exceed the right margin.  If hyphenation has not
been disabled, RUNOFF will attempt to hyphenate words which cause
line overflow.

.p -5,1,5
_.NO FILL
.rj _.NF
.x NO FILL command
.s

Disengages the fill ^&and\& justify modes.  This command is used, for
example, to permit including a table.  While NO#FILL is in effect
blank lines in the input are copied to the output.  Note, however,
that each line in the input will produce SPACING lines in the
output.  Also, if a line in the input exceeds the right margin, it
will be broken as required and the excess will be placed on the
next line.  See the #LITERAL# command for another way to restrict
=RUNOFF's processing of the input.

.p -5,,6
_.JUSTIFY
.rj _.J
.x JUSTIFY command
.s

Causes a #BREAK# and sets subsequent output lines to be filled ^&and\&
justified (initial setting).  While JUSTIFY is in effect, the spaces
between words are increased until the last word exactly meets the
text right margin.

.p 0,1,2

Keep in mind that justification is automatically turned on by all the
following commands:  APPENDIX, CHAPTER, DO INDEX, NOTE and STANDARD.

.p -5,,4
_.NO JUSTIFY
.rj _.NJ
.x NO JUSTIFY command
.s

Causes a BREAK and prevents justification of subsequent output
lines.  This causes a ragged text right margin.

.note NOTES

NO#FILL/NO#JUSTIFY mode needs to be used only where
there are several lines of material to be copied exactly.
A single line will not require using these commands if
there are breaks before and after.

.p 0,1,2,5

Normally FILL and NO#FILL are used to turn both
fill=ing and justification on and off.  It is usually
desir=able to do both.  A subsequent appearance of a
justification command will override the FILL command,
however.

.p ,,3

Because of the action of FILL, a single occurrence of
NO#JUSTIFY will cause the remainder of the file to be
=unjustified, with filling as specified.

.end note

.p -5,,6
_.AUTOPARAGRAPH
.rj _.AP
.x AUTOPARAGRAPH command
.s

Causes any blank line, formfeed, or line starting with one or more
spaces or tabs to be considered as an indication of the start of a
new paragraph.  Thus, this command allows normally typed text to be
formatted and justified without special commands.

.p 0,,2

No paragraph is started if the blank lines or formfeed are followed
by a command line.  Also, no paragraph-spacing blank lines are
output if a blank line or line starting with white space follows an
=explicit PARAGRAPH command, or a HEADER LEVEL or NOTE command.

.p -5,,5
_.NO AUTOPARAGRAPH
.rj _.NAP
.x NO AUTOPARAGRAPH command
.s

Disengages AUTOPARAGRAPH mode (initial setting).  In this mode
blank lines, formfeeds, and leading spaces and tabs are considered
only as word separators.

.p -5,,3
_.HYPHENATION [<mode>]
.rj _.HY [<mode>]
.x HYPHENATION command
.x Word>hyphenation
.s

Engages hyphenation (also see the /HY switch).  When hyphenation is
active, words are broken to make the right margin more even, or if
JUSTIFY is active, to reduce the stretching required of lines.

.p 0,1,3

The mode argument can be used to specify how hyphenation should
=operate.  The following mode values can be used (mode 2 is the
=initial setting, and the default if no value is given):

.lm +5
.p -5,,2

0####Hyphenation is completely disabled (i.e., this is
     equivalent to NO HYPHENATION).

.p ,,3

1####Words will be broken only at hyphens in the input file
     (e.g., as in "right-hand") or at points marked by the
     FLAGS HYPHENATE character (see below).

.p ,,2,5

2####Unless the FLAGS HYPHENATE character is used to invoke
     mode 1 for a word, RUNOFF will use an internal algorithm
     to decide how to break the word.  (Note, however, that
     RUNOFF's hyphen=ation algorithm does not always produce
     correct word breaks.)

.lm -5
.p -5,,3
_.NO HYPHENATION
.rj _.NHY
.x NO HYPHENATION command
.s

Disengages hyphenation (equivalent to #HYPHENATION 0#).

.p -5,,8
_.FLAGS HYPHENATE
.rj _.FL HYPHENATE
.x FLAGS HYPHENATE command
.x Equal-sign character (_=)
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Hyphenation>flag character
.x Flag character>hyphenation
.x Preferred hyphenation
.s

Enables the equal-sign character ("_=") to disengage hyphenation for
the word it precedes, or to specify preferred hyphenation points
within a word.  The equal-sign character can then be used to
=control hyphenation for words improperly hyphenated by RUNOFF's
=algorithm, or to specify the hyphenation points to consider when
the hyphenation mode is one. 

.s

This special character is initially disabled; the FLAGS
HYPHEN=ATE command must be issued to enable this feature.  (DISABLE
=SPECIAL disables this special character.)

.p -5,,3
_.NO FLAGS HYPHENATE
.rj _.NFH
.x NO FLAGS HYPHENATE command
.s

Disengages the #FLAGS HYPHENATE# command (initial setting).

.p -5,,6
_.FLAGS SUBINDEX
.rj _.FL SUBINDEX
.x FLAGS SUBINDEX command
.x Greater-than character (_>)
.x #_>  (subindex flag character)
.x Subindexing>flag character
.x Flag character>subindexing
.s

Enables the greater-than character ("_>") to indicate subindex
=entries in ENTRY and INDEX commands.  See the section on index
=processing for further details.  This is the initial setting.
(DISABLE SPECIAL disables this special character.)

.p -5,,4
_.NO FLAGS SUBINDEX
.rj _.NFS
.x NO FLAGS SUBINDEX command
.s

Disables the #FLAGS SUBINDEX# command.

.p -5,,6
_.PERIOD
.rj _.PR
.x PERIOD command
.s

Enables printing of two spaces after every sentence termination
punctuation that is followed by at least one separator character
(initial setting).  This spacing applies to ".", ":", "!", and
"?"; and to ".", "!", or "?" followed by ")", "]", "}", or a quote
character ('"').

.p -5,,3
_.NO PERIOD
.rj _.NPR
.x NO PERIOD command
.s

Disengages double spacing after punctuation.

.p -5,,5
_.QUOTE CHARACTER [<char>]
.rj _.QC [<char>]
.x QUOTE CHARACTER command
.x Quote character
.x Underbar character (__)
.x #__  (quote character)
.s

Changes the special quote character to the specified character.
The initial quote character is the underbar ("__").  That is also
the default assumed if no character is provided.  (DISABLE SPECIAL
completely disables the quote special character.)

.p 0,,2,6

The primary use of this command is to simplify inclusion of a large
number of underbar characters in the text.

.p 0,,2

Note that none of the other special characters ("_^", "_\", "_#",
"_&", and conditionally "_=", "_<", ">") should be used for the new
quote character unless you are sure they are not used for their
normal purpose.  Note also that the following characters cannot be
used as the quote character under any circumstances:  ".", ",", ";"
and "!".

.p -5,,7
_.DISABLE <keyword>
.rj _.DIS <keyword>
.x DISABLE command
.s

Causes a BREAK and turns off the feature indicated by the keyword.
The keyword must begin with the uppercase portion of one of the
words listed below.  That is, the portions shown in lowercase are
optional and are =ignored by RUNOFF (n.b., they can even be
different than shown; for example, "BLOCKOUTPUT" could be specified
in place of "BLOCKS").  As with all RUNOFF commands, the keyword
can be entered in upper, lower or mixed case.  Note that there must
be at least one space or tab between the command and the keyword.

.p 0,1,2

The ENABLE command can be used to turn on the feature later.  All
the ENABLE/DISABLE options (except RUNNING) are initially enabled.

.lm +8.p -8,1,3
.x Keyword for ENABLE/DISABLE>BLOCK
.x BLOCK>keyword

BLOCks--Controls whether pending figures and blocks will be output
at the top of a new page.  (See the section on Deferred
Output for a complete explanation.)

.p ,,1
.x Keyword for ENABLE/DISABLE>CONTENTS
.x CONTENTS>keyword

CONtents--Controls whether CONTENTS commands are processed.

.p ,,1
.x Keyword for ENABLE/DISABLE>INDEX
.x INDEX>keyword

INDexing--Controls whether ENTRY and INDEX commands are processed.

.p ,,2
.x Keyword for ENABLE/DISABLE>OUTPUT 
.x OUTPUT keyword
.x Output>disabling

OUTput--Controls whether text is written to the output file.  This
is useful, for example, if you only want to get the index
or table of contents.  In that case you would DISABLE
=OUTPUT at the start of the input and ENABLE OUTPUT just
=before the desired output is to begin.

.p 0,1,2

Note that the only effect of disabling this option is to
prevent material from being written to the output file.
RUNOFF will continue processing the input as though the
output file were being created normally.  Thus, for
=example, short pages may result if output is disabled for
a segment of the input file, but entries in the index and
tables of contents will contain correct page references.

.p

If you want part of the ^&input\& to be completely ignored,
you can use the OPTION command, as described later.

.p -8,,2,4
.x Keyword for ENABLE/DISABLE>RUNNING 
.x RUNNING keyword
.x Running page numbers
.x Page>numbering
.x Numbering>pages

RUNning--When CHAPTER and APPENDIX commands are used, pages are normally
numbered from one in each chapter and appendix.  If you ENABLE RUNNING,
pages will be numbered consecutivly throughout the entire document.

.p -8,,2
.x Keyword for ENABLE/DISABLE>SPECIAL 
.x SPECIAL keyword
.x Special characters>disabling

SPEcial--Controls whether RUNOFF special characters are interpreted
as such or not.  If you want the special characters to be
output directly (within a LITERAL segment, for example),
you should use DISABLE SPECIAL.  Note that ^&all\& the special
characters are then disabled.

.lm -8
.p -5,,5
_.ENABLE <keyword>
.rj _.ENA <keyword>
.x ENABLE command
.s

Causes a BREAK and turns on a feature which has been turned off
with a DISABLE command.  The keyword must be one of the those
=listed above.  All the ENABLE/DISABLE options (except RUNNING) are
=initially enabled.

.p -5,,6
_.UPPERCASE
.rj _.UC
.x UPPERCASE command
.s

Sets the output mode to uppercase.  This command acts the same as
typing two circumflexes ("_^_^", see Appendix C).  This is the
=default mode--there is no need to type this command unless the
mode was previously altered to lowercase.

.p -5,,4
_.LOWERCASE
.rj _.LC
.x LOWERCASE command
.s

Sets the output mode to lowercase.  This command acts the same as
typing two backslashes ("_\_\", see Appendix C).

.p -5,,8
_.FLAGS CAPITALIZE
.rj _.FL CAPITALIZE
.x FLAGS CAPITALIZE command
.x Less-than character (_<)
.x #_<  (capitalization character)
.x Capitalization character
.x Word>capitalization
.x Flag character>capitalization
.x Case control
.s

Enables the less-than ("_<") character to capitalize the entire
word it precedes, and then return the file to the current case
mode.  This special character is initially disabled--the
FLAGS#CAPITALIZE command must be issued to enable this feature.
After a case shift with a less-than character, a space or another
less-than returns the file to the current case lock.  (DISABLE
SPECIAL disables this special character.)

.p -5,,3
_.NO FLAGS CAPITALIZE
.rj _.NFC
.x NO FLAGS CAPITALIZE command
.s

Disengages the #FLAG CAPITALIZE# command (initial setting).

.p -5,,4
_.NO FLAGS
.rj _.NFL
.x NO FLAGS command
.s

Disengages the FLAGS CAPITALIZE, FLAGS HYPHENATE and FLAGS SUBINDEX
=commands.

.;TEXT FORMATTING
.lm -5
.st Text Formatting
.tp 12
.hl 1 TEXT FORMATTING COMMANDS
.x Formatting text
.x Text>formatting
.x Commands>text formatting

The following commands control formatting of the text on the pages of
the output document.

.lm +5
.p -5,2,4,6,2
_.COMMENT [<text>]
.rj _.;[<text>]###or###.![<text>]
.x COMMENT command
.x Exclamation point (!)
.x #;  (comment character)
.x #!  (comment character)
.x Comment character
.s

Causes the line to be ignored.  The text is not printed in the output
file, but rather is used as a comment line in the input file.
Note that all the forms of the comment command will be ^&included\& in the
output when they occur within a LITERAL section.

.p 0,1,2

Any line which begins with an exclamation point (with or without a
period) will be treated as a comment and will not be output.  Note,
however, that such lines have a special significance during the
=processing of footnotes and blocks.

.p ,,3

Comments can also be included on normal command lines (except those
ending with a text argument) by preceding the comment with an
=exclamation point (with or without a period).

.p -5,1,5
_.BREAK
.rj _.BR
.x BREAK command
.s

The text line currently being filled will be output with no
jus=ti=fi=cation.  The next word of the input text will be placed
at the beginning of the next line.  (As noted throughout this
=chapter, many RUNOFF commands implicitly cause a BREAK.)

.p -5,,5
_.SKIP [<number>]
.rj _.S [<number>]###or###_.SK [<number>]
.x SKIP command
.s

Causes a BREAK after which <number> is multiplied by the line
spacing (see the #SPACING# command).  The result is the number of
lines skipped.  If omitted, the number =defaults to 1.  If the
argument is negative, blank lines are output to place the following
text =<number> line spacings from the bottom of the page.

.p 0,1,2,6

Output is advanced to the top of the next page if there isn't
=sufficient room on the current page for the blank lines.  If the
=current page is empty, SKIP does nothing unless the argument is
=negative.  (To leave blank lines at the top of a page, put a quoted
space ("_#") on the page, followed by a SKIP or BLANK command.
=Alternatively, a FIGURE command can be used by itself.)

.p -5,,4,8,2
_.BLANK [<number>]
.rj _.B [<number>]
.x BLANK command
.s

Causes a BREAK and skips <number> line spaces, and then starts
out=put of the following input text.  BLANK is like SKIP, except
that the space to be left is independent of the line spacing.  If
the number is omitted, 1 is assumed.  If the page is empty, BLANK
does nothing unless <number> is negative.  Negative numbers have
an =effect similar to SKIP.

.p -5,,4,7,2
_.INDENT [<number>],[<text>]
.rj _.I [<number>],[<text>]
.x INDENT command
.x Indent, text
.s

Causes a BREAK and sets the text to begin <number> spaces indented
from the text left margin.  The number can be negative to allow
=beginning a line to the left of the left margin.  However, a line
cannot begin to the left of column 0.  If no number is supplied,
the =current PARAGRAPH indent is used (see below).

If no text is given, the next output line will be indented as
requested.  Note that this can apply to the output from commands
such as HEADER LEVEL.

.p -5,,5,9,2
_.CENTER [<number>],[<text>]
.rj _.C [<number>],[<text>]
.i -5,_.CENTRE [<number>],[<text>]
.x CENTER (CENTRE) command
.s

Causes a BREAK and centers the following text.  The centering is
over column (<number>#+#<text#left#margin>)/2.  If no number is
given, the text right margin is used.  If a signed number is given,
it is taken as relative to the current right =margin.  An alternate
format is to place the text on the following line.

.p 0,,2

Note that the text argument includes any spaces or tabs at the end
of the line.

.p -5,,6
_.RIGHT JUSTIFY [<number>],[<text>]
.rj _.RJ [<number>],[<text>]
.x RIGHT JUSTIFY command
.s

Outputs the following text in the input file on the current line,
but forced against column <number> (which defaults to the text
right margin).  If a signed number is given, it is taken as
relative to the current right margin.  An alternate format is to
place the text on the following line.

.p 0,,2

If it is desired to have the text right justified on the line ^&after\&
the current one, precede this command with a BREAK command.

.p

As an example, the command syntax lines in this manual were
=produced with commands like the following:

.p
.c _.INDENT -5,<full command>          #
.c _.RIGHT JUSTIFY <abbreviated command>

.p -5,,7
_.PARAGRAPH [<ind>],[<skip>],[<start>],[<length>],[<end>]
.rj _.P ...
.x PARAGRAPH command
.x Indent, text
.s

Causes a #BREAK# and establishes the format of output paragraphs.
<Ind> sets the number of spaces paragraphs are indented (and can be
negative).  <Skip> is the number of blank lines between paragraphs,
which can range from 0 to 5.  The last three parameters are used for
an automatic #TEST PAGE# (see the #TEST PAGE# command).

.p 0,,2,4

As noted, each of the parameters is optional.  If one of the first
three parameters is omitted, the corresponding value specified in a
previous #PARAGRAPH# command is used by default.  The initial
=values are 5,1,2, respectively.

.p 0,,2

If #AUTOPARAGRAPH# mode is in effect, only the first three parameters
are processed when an automatic paragraph is started.

.p -5,,10
_.HEADER LEVEL [<level>],<text>
.rj _.HL [<level>],<text>
.x HEADER LEVEL command
.x Section>header
.s

Starts a text section at a specified level and takes <text> as the
header.  The level can range from 1 to 5.  The current level is
assumed if no value is specified.  (This default is set to "1"
in=itially and at the start of each chapter and appendix.)  The
=level can be given as a signed number to specify it relative to the
current level.  For example, "+1" would yield the next higher
=level.

.s
.x Section>number
.x Numbering>sections

Section numbers are incremented automatically, and the number is
output in the form "i.j.k.l.m."  For a chapter-oriented document,
"i" is the chapter number.  Otherwise, it is the number of the
"_.HL#1" level.

.note ^&NOTE\&

There can be up to 255 headers at each level.  That is,
for example, there cannot be a section "4.16.256".  (No
warning is given if the limit is exceeded.)

.end note

.p 0,,3

Unless this command occurs at the top of an output page or
immediately after a CHAPTER or APPENDIX command, this command
starts by issuing the commands

.s.c _.BLANK <skip> .TEST LINES <test>
.p 0,,2

<Skip> and <test> can be set with the LEVEL#STYLE command (see
=below).  The initial values are 3 and 5, respectively.

.p ,,3

The HEADER LEVEL command outputs the section number, two spaces,
and the text for the section name.  "Low" header levels end with
an automatic

.s.c _.BLANK <skip 2>
.p ,,2

where <skip 2> can be set with the LEVEL#STYLE command (see below);
the initial value is 1.

.p ,,2

"High" header levels end with a space-dash-space combination (i.e.,
"_#--_#") and text follows on the same line.  The change from "low"
to "high" is set with the LEVEL STYLE command.  (Initially, header
levels 1 and 2 are "low" and levels 3 through 5 are "high.")

.p
.x AUTOSUBTITLE command
.x Subtitle
.x AUTOCONTENTS command
.x Tables of contents

If an #AUTOSUBTITLE# command has been issued, the subtitle may be
set to <text> by this command.  Also, an entry may be made into the
table of contents by this command if AUTOCONTENTS is active.  Note
that any enhancement (e.g., capitalization or underlining) of the
header text will appear in the subtitle and/or table of contents.

.p -5,,4
_.LEVEL STYLE <level>, [<skip 1>], [<test>], [<skip 2>]
.x LEVEL STYLE command
.s

Sets the format of section headers produced by the HEADER#LEVEL
command (see above).  The value of "level" must be in the range -5
to 5, inclusive.  If the level number is negative, it is taken as
the lowest level at which "run-in" section headers will be used.  A
level value of 0 has the special meaning that "run-in" headings are
never to be used (and the rest of the command is ignored).

.p 0,1,2

The first "skip" argument sets the number of blank lines which will
be output ^&before\& headers for the specified level.  This parameter
is initially set to 3 for all header levels.  If this argument is
omitted, the parameter value remains unchanged.  

.p

The "test" argument sets the value used for an automatic TEST#LINES
before the headers are output.  This parameter has an initial value
of 5 for all levels and the default is the current value.  

.p

The second "skip" argument sets the number of blank lines to be
output ^&after\& the headers.  The initial value is 1 and the default 
is the current value.

.p

Note that a LEVEL#STYLE command must be issued for ^&each\& level for 
which you want non-standard parameters used.  This command can be
used locally to prevent the extra blank lines output between
=consecutive HEADER#LEVEL commands.

.p -5,,4,6,2
_.LITERAL
.rj _.LIT
.x LITERAL command
.s

Disengages FILL and JUSTIFY and outputs the input text exactly as
=entered in the input file, with the possible exception of the
=characters with special significance to RUNOFF.  LITERAL mode
differs from NOFILL mode in the following ways:

.list 1,o

.le 2 The input is copied to the output line for line regardless
of the current spacing setting.

.le 4 Lines up to 132 characters long are not broken if they exceed
the right margin, but a warning message is output to the user's
terminal for each such line.

.le 2 Tab characters in the input are output directly rather than
being converted to the appropriate number of spaces.

.x Tab stops

.le 2 Each formfeed character in the input causes a new output page
to be started.

.x Formfeeds

.le 2 The only command recognized while LITERAL mode is in =effect
is END LITERAL.
.end list 1

.x Special characters

If you want the RUNOFF special characters to be output directly to
the output file without interpretation, you should use a DISABLE
SPECIAL command before the LITERAL command.  In that case, be sure
to use an ENABLE SPECIAL command when the special characters are to
be reenabled (for example, after the END LITERAL command).

.p -5,,4
_.END LITERAL
.rj _.ELI
.x END LITERAL command
.s

Used after a LITERAL command to resume normal processing, including
the preceding FILL/JUSTIFY mode.  Resets the line spacing to its
previous value.

.p -5,,5
_.LIST [<lines>],[<char>]
.rj _.LS [<lines>],[<char>]
.x LIST command
.x Numbering>lists
.s

Starts an indented list with <lines> extra line spacings before
each element.*# (If omitted, "lines" defaults to the value

.footnote 10
.lm 3.p -3,1
*##If you want to change the amount a list is indented, you can put a
LEFT#MARGIN command after the LIST command.  The normal left margin will
then still be restored when the list is completed.

.p 0

If a LIST appears in a footnote and another LIST is in process in the
main text when the footnote is output, then the list in the footnote
will not be treated as a top-level list.  If you want to ensure that
the list will be indented normally, put a "LEFT#MARGIN#9" command
^&after\& the LIST command in the footnote.

! End of footnote

=specified in the last LIST command [initially 1].) The "lines" parameter
also sets the default number of blank lines to be output after the
list--see the END LIST command below.

.p 0,,2

The elements of the list will be numbered sequentially if no
=character is specified in the LIST command.  If a character is
specified, it will be used to mark each element of the list.  For
example, a "-" or "o" (pseudo bullet) can be used.  The following
characters cannot be used as the mark character:  ".", ",", ";",
"!", the special characters "_^", "_\", "_&", the quote character
(normally "__") and, if enabled as special characters, "_=" and
"_<".  The special character "_#" can be used to get a blank mark
character but cannot be made to appear as the mark character.

.p 0,,2

Up to five lists can be in process at one time.  A top-level list
is formatted to have its element numbers or mark character indented
five spaces from the current left margin.  (The element numbers or
mark character are output with a negative indent relative to the
text of the list elements.)  Each subsequent nested list will be
indented further, so that its numbers or mark characters will be
aligned with the text of the preceeding level.

.p 0,,2

The normal FILL and JUSTIFY modes remain in effect in a list.
Therefore, you must disengage them to get a ragged right margin.

.p -5,,4
_.LIST ELEMENT [<lines>],[<text>]
.rj _.LE [<lines>],[<text>]
.x LIST ELEMENT command
.s

Signals the start of an item in a list in conjunction with the LIST
command.  The elements (which can have multiple lines of text) are
automatically numbered sequentially or are marked by the character
specified in the corresponding LIST command.  The number or mark
character is given a negative indent so that the text of the list
elements lines up.

.p 0,,2,6

The list elements are separated by the spacing specified in the
corresponding LIST command and #TEST#PAGE#<lines># is done to make
sure there is room on the current page for the element (<lines>
=defaults to the value specified in a previous LIST ELEMENT command
in the current list; set to 1 at the start of every list).  The
text is shown as optional because it can start on the next nonblank
line.

.p 0,,2

Note that if the current SPACING is larger than 1#, the <lines>
=parameter is interpreted as ^&text\& lines.

.p -5,,5
_.END LIST [<lines>]
.rj _.ELS [<lines>]
.x END LIST command
.s

Terminates the current #LIST# command and returns to the settings
for the preceding LIST, if any.  <Lines> blank lines are output to
set the list off from the following text.  The default is the
number of lines set by the LIST command for this list.

.p -5,,4,7,2
_.NOTE [<indent>],[<text>]
.rj _.NT [<indent>],[<text>]
.x NOTE command
.s

Starts an indented note.  This command causes a BLANK#2 and a TEST
LINES#4, reduces both text margins by <indent> (which defaults to
five spaces), centers <text> (if omitted, the word "NOTE" is
=centered), and then causes a BLANK 1.  At this point the body of
the note is output.

.p -5,,5
_.END NOTE [<lines>]
.rj _.EN [<lines>]
.x END NOTE command
.s

Terminates the preceding NOTE command.  <Lines> blank lines are
output to set the note off from the following text (the default is
two lines).  The text margins are returned to the settings before
the last NOTE command.

.;DEFERRED-OUTPUT
.lm -5
.st Deferred Output
.tp 9
.hl 1 DEFERRED-OUTPUT COMMANDS
.x Text>deferred
.x Output>deferred
.x Commands>deferred output

The following commands control the processing of text which may have to
be deferred until a later point in the output.  For example, footnotes
are deferred until the bottom of the output page being created when the
footnote is encountered in the input.

.p 0,1,2

Another situation which could lead to postponing input material is when
a block of output lines must be kept together (e.g., for a figure or
table).  If a TEST PAGE or TEST LINES command were used to make sure the
lines are kept together, there could be a large blank space at the
bot=tom of the current page if the block will not fit there.  That is,
the TEST#PAGE and TEST#LINES commands cause a new page to be started
immediately if the desired space isn't available on the current page.
Often one would like normal text to continue to fill the current page
and then have the block of lines output at the top of the next page when
it is begun.  The FIGURE and BLOCK commands are provided for that
purpose.

.p

There can be a number of footnotes, blocks, and figures pending at one
time.  The footnotes are all output at the bottom of the current page,
but the blocks and figures will be spread among as many following pages
as are required.  Blocks and figures are always output in the same order
they were encountered in the input.

.p
.x Keyword for ENABLE/DISABLE>BLOCK

There are three commands which can be used to control the output of
=deferred blocks and figures.  If you do not want a section of text to be
interrupted by a block or figure, you can use the command DISABLE BLOCK
to prevent their output.  The command ENABLE BLOCK will reenable the
output of blocks and figures.  The DUMP command can be used to force the
output of all pending blocks and figures.  All three of these commands
are described more fully below.

.p

The only limit to the number of deferred items is the amount of memory
space available for their temporary storage.  The memory space between
the "top" of the RUNOFF program and the highest address accepted by the
computer is available for storing pending footnotes, blocks, and figures
and the index (see the next section).  The space used starts out small
and grows to the maximum size required to accommodate stored material.

.lm +5
.p -5,2,4
_.FOOTNOTE <length>
.rj _.FN <length>
.x FOOTNOTE command
.x Footnotes
.s

Reserves <length> lines at the bottom of the current page for a
footnote.  If a page has multiple footnotes, the allocated space is
the sum of the allocations for all footnotes appearing on the page.
Note, however, that the actual space taken by a footnote can be
more or less than the specified number of lines.  A warning message
is output to the user's terminal if a footnote incorrectly fills a
page.  If necessary, adjust the length parameter after reviewing a
draft output.

.p 0,1,2

Note that the FOOTNOTE command does not cause a BREAK.  Thus, you
can put a footnote immediately after the point at which it is
referenced in the text, even if that is in the middle of a
paragraph.  That should be done to make sure the footnote is output
on the same page as the reference.

.p 0,1,5

The complete syntax for a footnote is

.s
.c ,_.FOOTNOTE <length>                #
.c ,<line(s) of input for the footnote>
.c ,!                                 #

.p 0,,3
.x Exclamation point (!)
.x #!  (termination character)
.x Termination character

As shown above, a footnote is terminated by a line in the input
which begins with an exclamation point.  The remainder of that line
is ignored.

.p 0,,2,6,2

The user must explicitly include his/her choice of symbols within
the text and the footnote to designate the footnote reference.  For
example, asterisks ("*") can be used as was done with the footnotes
associated with this command description.  The FOOTNOTE command and
the footnote text should follow immediately in the input file to
ensure that the footnote space is properly allocated.

.p 0,,10

Most parameters and mode settings are saved at the start of
footnote output and restored after its completion.*#

.footnote 6
.lm 4.p -4,1
*###The following parameters and settings are saved at the start of a
footnote and restored after it is ended:  line spacing; left and
right margins; PARAGRAPH parameters; the status of FILL, JUSTIFY
and AUTOPARAGRAPH; all TAB STOPS; and the status of any LITERAL or
NOTE in process.
!

Thus, settings different from those in the main text can be used
within footnotes.  Note, however, that settings carry over from one
footnote to the next (on the same page).  The left and right
margins and line spacing are set to their ^&default values\& at the
start of a footnote; the other parameters which are saved are not
reset.

.p ,,2

There is a choice as to how the separation between the body of the
text and the footnote will be handled.  The default is for RUNOFF
to automatically output one blank line and a separating line of 15
underbar characters ahead of any footnotes on a page (space is
=automatically reserved for these two lines).  The length of the
separating line and the character to be used can be changed with
the FOOTNOTE LINE command (see below).

.p ,,2,6

If that format is not desirable for any reason, a FOOTNOTE#LINE
command should be used to turn off automatic output of the
separation.  Then the contents of the footnote(s) will be output
immediately after the last text line on the page.  Thus, the first
footnote on each page should then contain the lines necessary to
set off the footnote(s).

.p ,,2,11,8

The following commands are not permitted in a footnote:  PAGE
=FORMAT, PAGE#SIZE, STANDARD, all Page Header commands, all
Pagination commands, HEADER#LEVEL, LEVEL#STYLE, all Deferred Text
commands, DO#INDEX, PRINT#INDEX, AUTOCONTENTS, DO#CONTENTS, PRINT
CONTENTS, REQUIRE, CHAIN and EOF.  An error message will be =output
if any of these is attempted in a footnote.

.p

No error message is output if a FIGURE command (see below) appears
in a footnote or block, but the command will not be processed
=correctly if it specifies a "setoff" parameter.

.p -5,,5,12,4
_.FOOTNOTE LINE [<number>],[<char>]
.rj _.FNL [<number>],[<char>]
.x FOOTNOTE LINE command
.x Footnotes
.x Underbar character (__)
.s

Specifies the characteristics of the separation between the body of
text and footnotes.  Normally one blank line and a line containing
15 underbar characters ("__") is used.  If that is acceptable, this
command does not need to be used.  Otherwise, this command can be
used to change the number of characters and the character used
(e.g., if your output device cannot print an under=bar).  If the
number is omitted, the current value is unchanged.  If the
character is omitted, automatic output of the separation is
disabled.  In that case, the first footnote to appear on an output
page must include the separation which is to appear.

.p 0,,2

The following characters cannot be used as the line character:
".", ",", ";" and "!".

.p -5,,8
_.BLOCK <length>,[<setoff>],[<alternate space>]
.x BLOCK>command
.s

This command is similar to the FOOTNOTE command above.  The
difference is that if there is room on the current page for the
body of the "block," it is output immediately.  Otherwise, it is
deferred to the next page on which it will fit.  This is useful,
for =example, for including a table in the document when you want
to be sure the table is not interrupted by a page break.

.s

Unlike the FOOTNOTE command, the BLOCK command does cause a BREAK.

.p 0,,5
.x Exclamation point (!)
.x #!  (termination character)
.x Termination character

The complete syntax for a block is

.s
.c ,_.BLOCK <length>,[<setoff>],[<alt. space>]
.c ,<line(s) of input to be kept together>  #
.c ,!                                       #

.p 0,,2

Specifically, this command checks whether (<length>#+#<setoff>)
lines will fit on the current page.  If they will fit, <setoff>
blank lines are output (the default is 2 lines), followed by the
body of the block, and another <setoff> blank lines.

.p 0,,3

If there isn't room on the current page for the block, <alternate
space> blank lines are output (the default is 0 lines) and the
=entire block is stored for output on a subsequent page.  Normal
text then continues to fill the current page.  When the block is
finally output, it is set off from the following text by <setoff>
blank lines.  (Only a single setoff is output to separate
consecutive blocks which have been deferred.)

.p 0,,3

The BLOCK command has several characteristics which are the same
as those for the FOOTNOTE command:

.list 1,o

.le 4 The length parameter must be at least as large as the number of
lines in the ^&output\& file which will result from the body of the block.
(The Alphabetical List of Commands appendix illustrates a situation in
which it is useful to specify an extra large length.)

.le 3 The end of a block is indicated in the input by a line which
begins with an exclamation point (the remainder of the line is =ignored).

.le 2 A block can contain most RUNOFF commands, but not those
which are not allowed in footnotes.

.le 2 Most parameters and mode settings are stored before a block is
output, and restored after it is completed.

.end list 0

.p 0,1,2,5
.x Length>text
.x Text>length

The length specified for a BLOCK cannot exceed the text length (see
Appendix B) in effect when the command is encountered in the input.
Otherwise, the command will be reported as an error and the body of
the block will immediately be written in the output file.

.p 0,,3

If there are pending blocks when an APPENDIX, CHAPTER, DO#INDEX,
EVEN, ODD or SUBPAGE command is processed, or the end of the input
is reached, the blocks are all output immediately.

.p -5,,5
_.FIGURE [<length>],[<setoff>],[<text>]
.rj _.FG [<l>],[<s>],[<t>]
.x FIGURE command
.s

This command can be used to make room for a figure or diagram to be
pasted into the output.  FIGURE acts like the BLOCK command in that
if there is not enough space remaining on the current page or if
there is already a block or figure pending, text continues to fill
the page and the figure space is put on a later page.  Note,
however, that no alternate blank space is output if the figure is
=deferred.

.p 0,,4

The following things are done when a figure space is output:

.list 1

.le 2 <Setoff> blank lines are output to separate the figure from
the preceding text (the default is 0 lines).

.le 4 <Length> blank lines are output to create the figure space.
(The default length is 1 line.  The length must be ^&less than\& the text
length [see Appendix B] in effect when the command is processed.)

.le If provided, the text argument is output centered.

.le 2 Another <setoff> blank lines are output to set off the
following text.

.end list 0
.p ,,3

Note that blocks and figures are output in exactly the order in
which they occur in the input file.  Also, all pending figures are
output when all pending blocks are output (see above).

.p

If you want to have a figure referenced in the List of Figures, you
should ^&not\& use the FIGURE command.  In that case, for example,
in place of the command

.s.c _.FIGURE 15,2,Figure 23:  This is a figure caption.
.s

you should use a BLOCK structure as follows:

.p ,,4
.c _.BLOCK 16,2                                 #
.c _.BLANK 15                                   #
.c _.CENTER Figure 23:  This is a figure caption.
.c _.CONTENTS 2,23  This is a figure caption    #
.c _!                                           #
.p

Note the following points:

.list 1
.le 2 The length of the block is one larger than the length which
would have been specified in a FIGURE command.
.le 2 The "setoff" parameter for the BLOCK command is the same as it
would have been for the FIGURE command.
.le 2 The the blank space for the figure is allocated with a BLANK
command rather than a FIGURE command.
.le 1 The figure caption is explicitly centered.
.le 3 The text supplied to the CONTENTS command is different than
the text centered under the figure space.  (It should be formatted
exactly as you want it to appear in the List of =Figures.)
.end list 0

.p -5,,6
_.DISABLE BLOCK
.rj _.DIS BLOCK
.x DISABLE command
.x Keyword for ENABLE/DISABLE>BLOCK
.x BLOCK>keyword
.s

Prevents the output of ^&pending\& blocks and figures so they will not
interrupt a section of text.  That is, until their output is again
enabled (see the next command), blocks and figures will be queued
if they do not fit in the output immediately, but they will not be
placed in the output on the next available page.  (Note that there
must be at least one space or tab between the command and the
=keyword.)

.p -5,,7
_.ENABLE BLOCK
.rj _.ENA BLOCK
.x ENABLE command
.x Keyword for ENABLE/DISABLE>BLOCK
.x BLOCK>keyword
.s

This command frees the outputting of pending blocks and figures.  A
check is made ^&immediately\& to see if the "oldest" pending block
or figure will fit on the current output page.*# ENABLE#BLOCK is
the default condition.  Note that ENABLE#BLOCK is forced by the
commands:  APPENDIX, CHAPTER, DO#INDEX, DO#CONTENTS, DUMP, EVEN and
ODD.

.footnote 3
.lm 3.p -3,1
*##If ENABLE BLOCK appears in a footnote or block, an error message will
be output and no check will be made of the currently pending blocks.
! (end of footnote)

.p -5,,7
_.DUMP
.x DUMP command
.s

This command forces the output of all pending blocks and figures.
This is useful, for example, when a new section is to begin.  Note,
however, that all pending items are automatically output when the
end of the input is reached, and by all the following commands:
=APPENDIX, CHAPTER, DO INDEX, DO CONTENTS, EVEN and ODD.

.;INDEX PROCESSING
.lm -5
.st Index Processing
.tp 10
.hl 1 INDEX PROCESSING COMMANDS
.x Index processing
.x Commands>index processing

RUNOFF can be used to create an index for the output document.**# The
following commands can be used to record the index entries and their

.footnote 8
.lm 3.p -3,1

**#RUNOFF stores index entries in memory until it encounters one
   of the commands for writing the index to the output file.  The only
   limitation on the size of the index is the memory space available for
   its storage.  The storage method that RUNOFF uses assures that
   duplicate entries will not be stored.  That is, for example, if an
   item is referenced several times on the same output page, only one
   entry will actually be stored in the index buffer.

! end of footnote

page references, and to control the format of the index in the output.
See the index in this document for an example of an index produced by
=RUNOFF.

.p 0,,12

An index is accumulated in an internal buffer by placing INDEX and =ENTRY
commands throughout the input file.  These commands specify the entries
to appear in the index.  In the case of INDEX, the position in the input
file will determine the page reference which is listed in the index.

.p 0,,2,4

The user should place a command in the input file at the point at which
the index is to appear in the output.  The index is automatically output
at the end of the output file if no such command appears in the input
file.

.p

The command DISABLE INDEX can be used to cause ENTRY and INDEX commands
to be ignored for a section of the input.  ENABLE INDEX will resume
=normal functioning of the ENTRY and INDEX commands.

.lm +5
.p -5,2,8
_.INDEX <text>
.rj _.X <text>
.x INDEX>command
.s

Adds <text> and the current page number to the internal index buffer.
An item may be indexed as many times as desired.

.p 0,1,2

This command does not cause a break.  Thus, INDEX commands can be
inserted at any point in the text without affecting line filling.
To insure that the page reference is correct, the command should
appear immediately before the item to be indexed appears in the
text.  That is, when an INDEX command is processed, the current
output page number is recorded with the index entry.  It is up to
the user to make sure that the item appears in the text on that
page.

.p 0,1,2,4,2

The case of the text is considered when the entry is processed.
Thus, "INDEX APPLE", "INDEX Apple" and "INDEX apple" would produce
three different index entries.  Also, only the first 70 characters
of the text are entered into the index--any remainder is ignored.

.p 0,,3
.x Subindexing
.x Flag character>subindexing

If the #FLAGS SUBINDEX# command is in effect (the initial setting),
the subindex flag character (">") can be used to specify subindexing.  
As an example, the command

.s.c _.INDEX Main>minor 1>minor 2
.s

will yield the following index entries:

.p 0,,3
.c Main                                     #
.c ##minor 1                                #
.c ####minor 2 . . . . . . . . . . . . <page>
.p 0,,2,5

The subentries can be indexed on any number of pages just like any
other index entry.  (The top-level entries may also be explicitly
entered in the index with #INDEX# or #ENTRY# commands.)  The output
format of subindex entries is determined by the command used to
=output the index (see below).

.p -5,,4,6,2
_.ENTRY <text>
.rj _.Y <text>
.x ENTRY command
.s

Similar to the #INDEX# command except that the entry is stored
without a page reference.  If there is an #INDEX# command for the
same entry somewhere else in the input, the ENTRY command will have
no effect.

.p -5,,4
_.DISABLE INDEX
.rj _.DIS IND
.x DISABLE command
.x Keyword for ENABLE/DISABLE>INDEX
.x INDEX>keyword
.s

Causes all ENTRY and INDEX commands to be ignored until an ENABLE
INDEX command is issued.  This is useful, for example, when
processing initial drafts of a document, when you aren't interested
in seeing the index.  This command can also be used to disregard
index items which would make the index buffer overflow (i.e.,
causing the error message "Not Enough Memory" ).

.p -5,,4
_.ENABLE INDEX
.rj _.ENA IND
.x ENABLE command
.x Keyword for ENABLE/DISABLE>INDEX
.x INDEX>keyword
.s

This command enables the processing of ENTRY and INDEX commands.
(ENABLE INDEX is the default condition.)

.p -5,,4,8,2
_.DO INDEX [<text>]
.rj _.DX [<text>]
.x DO INDEX command
.x Title
.x Subtitle
.s

Forces a new page and centers the text, if given; otherwise it
centers the word "INDEX".  The heading is spaced down the page like
a chapter or appendix heading.  The subtitle is cleared and, if a
text is given, it becomes the title.  Pages are numbered "I-<n>",
starting at "I-1" (which is not printed).  The left and right
=margins are reset to their default values.

.p 0,,2,5

This command prints the entire contents of the index buffer and
leaves the buffer empty.  Entries are printed in alphabetical order
and are set against the left margin.  Entries are single spaced,
except that SPACING blank lines are left between entries with
=different first letters.  Subindex entries are indented two spaces.

.p ,,2,7
.x Width>index

The number of the first page on which each entry was referenced
(by an INDEX command) is put on the same line as the entry,
beginning at the middle of the line (midway between the left and
right margins).  Additional page numbers for multiple references
follow, separated by commas.  If there are more page references
than will fit on one line, the list is continued on the next line
under the first reference.

.p 0,,3

This command is not actually needed in the input file since an
=automatic DO#INDEX is done if there is anything in the index
buffer when the end of the input is reached.

.p ,,2
.x AUTOCONTENTS command
.x Tables of contents

If #AUTOCONTENTS# is active, an entry will automatically be made
in the table of contents for the index.

.p -5,,4,7,2
_.PRINT INDEX [<indent>],[<spacing>]
.rj _.PX [<indent>],[<spacing>]
.x PRINT INDEX command
.s

Like DO INDEX, but just prints the index buffer without any
=heading, without interrupting normal page sequencing, and without
affecting the margin settings.  Unlike DO#INDEX, this command
=allows a specified indentation to be used for subindex entries.  If
omitted, <indent> defaults to 2.

.s

This command also differs from DO INDEX in that PRINT#INDEX uses
the SPACING setting to space individual entries, and outputs
=<spacing> extra blank lines between letter groups.  The default is
two (2) extra blank lines.  (<Spacing> blank lines are output =before
the first line of the index.)

.;T OF C
.lm -5
.st Table of Contents
.tp 9
.hl 1 TABLE OF CONTENTS COMMANDS
.x Tables of contents
.x Contents, tables of
.x Commands>table of contents

RUNOFF can create up to three "tables of contents" for a document.  For
example, there can be a "Table of Contents," a "List of Figures," and a
"List of Tables." They are generally all output at the end of the
=document and manually inserted at the front.  It is possible to have
the tables appear at the front of the document, as described in an
=appendix in this manual, but that doubles the time required to process
an input file through RUNOFF.

.p 0,,2,4,2

The commands described below can be used to record entries and their
page references in the tables of contents, and to control their output
in the document.  See the Table of Contents in this document for an
=example of one produced by =RUNOFF.

.p ,,2,7,2

The tables of contents are accumulated in the same internal buffer used
for the index.  Thus, there is the possibility of exceeding the buffer
space if a document has a very large index and tables of contents.
Contents entries are made in a manner similar to index entries (although
some can be made to occur automatically).  Unlike the index, however,
entries in the tables of contents are not sorted alphabetically.  They
are kept in chronological order of their occurrence in the input file.

.p ,,3

The user can place a command in the input file at the point at which
each table of contents is to appear in the output.  Any pending tables
of contents are automatically output at the end of the output file.

.lm +5
.p -5,2,4
_.CONTENTS [<index>],[<text>]
.rj _.CON [<index>],[<text>]
.x CONTENTS>command
.s

Adds <text> and the current page number to the table of contents
referenced by a given "index" number.  Normally, the index has the
following =interpretation:

.p 0,1,5
.c ^&Index    Default name\&
.s
.c # 1       CONTENTS  #
.c # 2       FIGURES   #
.c # 3       TABLES    #

.p 0,1,2

This command causes a break.  To insure that the page reference is
correct, the command should appear immediately before the item to
be entered appears in the text.  That is, when a CONTENTS command
is processed, the current output page number is recorded with the
entry.  It is up to the user to make sure that the item actually
appears on that page.

.p ,,3

If the text argument is omitted, a blank line will be output in
the indicated table.  This provides a means for controlling the
spacing of individual entries.

.p ,,2,4,2

Note that an entry is not automatically made in the FIGURES table
when a FIGURE command is processed.  See the description of that
command for the suggested method for allocating figure space when
an entry in the FIGURES table is desired.

.p -5,,5
_.AUTOCONTENTS [<level>]
.rj _.AC [<level>]
.x AUTOCONTENTS command
.x APPENDIX command
.x CHAPTER command
.x HEADER LEVEL command
.s

Controls the automatic creation of a table of contents for the
=document based on the occurrences of CHAPTER, HEADER#LEVEL,
=APPENDIX and DO#INDEX commands in the input file.

.p 0,,3

The value of "level" determines whether this feature is to be
=active and what level of detail is to be entered in the table of
contents.  The various possible values have the following meanings:

.p 0,1,5
.c ,^&Level       Meaning\&                                  #
.s
.c ,#<0         Disable automatic entries completely     #
.c ,# 0         Record only chapters, appendices _& index #
.c ,#>0         Record up to indicated section level     #
.c ,#>5         (Not allowed)                            #

.p 0,,2,4

The initial value for "level" is 5; that is, initially the table of
contents will include references to all numbered sections of the
document.  If the command argument is omitted, "5" is assumed as
the default.

.p 0,,2,5

Keep in mind that any enhancement of the associated text (e.g., by
capitalization or underlining) will appear in the table of
=contents.  Thus, it may be desirable to disable automatic contents
generation and use the #CONTENTS# command to explicitly create the
table of contents.

.p -5,,4
_.DISABLE CONTENTS
.rj _.DIS CON
.x DISABLE command
.x Keyword for ENABLE/DISABLE>CONTENTS
.x CONTENTS>keyword
.s

Disables all insertions into the tables of contents; either from
the CONTENTS command or from automatic entries.  This command can
be used to disable contents entries which would make the storage
buffer overflow (i.e., causing the error message "Not Enough
=Memory").

.p -5,,4
_.ENABLE CONTENTS
.rj _.ENA CON
.x ENABLE command
.x Keyword for ENABLE/DISABLE>CONTENTS
.x CONTENTS>keyword
.s

This command enables the processing of entries into the tables of
=contents.  (ENABLE CONTENTS is the default condition.)

.p -5,,4,10,2
_.DO CONTENTS [<sp 1>],[<sp 2>],[<sp 3>]
.rj _.DC [<sp>],[<sp>],[<sp>]
.x DO CONTENTS command
.x Title
.x Subtitle
.x Width>tables of contents
.s

Outputs all the stored tables of contents.  Each table is output on a
new page and the default names (see above) are used as headings.  The
heading is spaced down the page like a chapter or appendix heading.
The title and subtitle are cleared, and pages are ^&not\& numbered.
The left and right margins are reset to their default =values.  If
provided, the command arguments set the line spacing to be used for
the respective tables; the default for each argument is the current
text line spacing.  (The text line spacing is restored after all
the tables are output.)

.p 0,,2

This command prints the entire contents of the table of contents
buffers and leaves the buffers empty.  In each table, entries are
printed in chronological order.  If the autocontents feature is
used to store the information, the "CONTENTS" table is indented and
spaced for ease of use.

.p 0,,2

This command is not actually needed in the input file since an
=automatic DO#CONTENTS is done if there is anything in the contents
buffer when the end of the input is reached.  This command must be
used, however, if different line spacings are desired for the
=different tables.

.p -5,,6
_.PRINT CONTENTS [<index>]
.rj _.PC [<i>]
.x PRINT CONTENTS command
.s

Like DO CONTENTS, but just prints the contents of the single specified
table of contents buffer (the default is index _= 1, i.e., the
=CONTENTS table).  Normal page sequencing is not interrupted, and
the margin settings are not affected.

.p 0,,2,4

This command must be used to output a table if you want a
nonstandard heading.  In that case, you must explicitly issue all
the =commands necessary to format the page heading for the table.
For =example, you may want to use the following commands:

.p ,,4
.c _.EVEN .SPACING <n> .TITLE      #
.c _.LEFT MARGIN .NONUMBER .SUBTITLE
.c _.RIGHT MARGIN .ODD <heading>   #
.c _.SKIP 2 .PRINT CONTENTS <n>    #

.;INPUT CONTROL
.lm -5
.st Input Control
.tp 12
.hl 1 INPUT CONTROL COMMANDS
.x Commands>input control

The commands described in this section provide means for controlling the
input to RUNOFF.  You can have the contents of other input files
inserted into the output document as though the additional input had
been part of the original input file.  You can also have RUNOFF skip
sections of the input.

.hl 2 Additional Input Files
.x Input>additional file

It is sometimes desirable to organize the input for a document as
=multiple files (for editing convenience, for example).  RUNOFF provides
three ways to combine such input files to create the output:  (1) the
=REQUIRE command causes a secondary input file to be processed as though
its contents are part of the current input file, (2) the CHAIN command
causes the current input file to be closed and another file to be opened
for subsequent input, and (3) multiple input files can be specified on
the =RUNOFF command line (see the next chapter).

.option 2
.note ^&NOTE\&

The REQUIRE and CHAIN commands are currently not included when
=RUNOFF is built for use under RSTS.

.end note 0
.end option 2

.lm +5
.p -5,2,4
_.REQUIRE <file>
.rj _.REQ <file>
.x REQUIRE command
.s

Stops processing of the current input file and takes input from the
specified file.  When the end of the file is reached, =RUNOFF
returns to the original input file and resumes processing it.  The
file specification has the same format as those on the =RUNOFF
command line (with the same defaults), except that no switches can
be specified.  Since the remainder of the command line is taken to
be the file specification, no commands can follow on the same line.

.p 0,1,2

Required files can be "nested," in that the secondary input file
may contain =REQUIRE commands.  Currently this nesting cannot go any
further.*# Thus, up to two files can be suspended at the same time.

.footnote 3
.lm +3.p -3,1
*##The limit on levels of REQUIRE nesting can be changed by making a
very simple program change (at the expense of some index buffer).
! (end of footnote)

.p ,,2,6

The REQUIRE command will be ignored (and an appropriate error
message will be output) if any of the following occurs:  (1) too
many levels of nesting are attempted, (2) the file specification
contains an error, (3) an attempt is made to branch to a file
=already in the =REQUIRE stack, or (4) the new input file cannot be
=opened for reading.

.note ^&NOTE\&

If a REQUIRE command directs input from a terminal, an
end-of-file character (<control>Z) or a RUNOFF EOF
command must be entered to terminate the input and have
=RUNOFF return to processing input from a file.

.end note

.p -5,,5
_.CHAIN <file>
.x CHAIN command
.s

Causes a branch to a new input file similar to the REQUIRE command.
When the end of the new input file is reached, however, RUNOFF does
not return to the previous file.  (Note:  This command may not be
included in your RUNOFF program.  See your system manager if you
need it added.)

.note ^&WARNING\&

Unlike REQUIRE, the CHAIN command does not check to make
sure the branch is not to the current input file or to an
earlier file in the REQUIRE stack.

.end note 0

.p -5,2,5
_.PRINT [<text>]
.x PRINT command
.x Output>terminal
.s

Causes the given text to be displayed on the user's terminal.  This
can be used, for example, to indicate the progress of the input
processing.  A blank line is output if no text is provided.

.p 0,1,2,6
.x Terminal prompts
.x Prompt, terminal

Another reason for displaying a message is to prompt the user when
a REQUIRE command is used to get run-time input from the user.
This is useful, for example, when "form" letters are being
pro=cessed and the user must enter a specific item for each letter.
The =RUNOFF commands for getting input from the user would have the
form

.p ,,2
.c _.PRINT <prompt>
.c _.REQUIRE TI:  #
.p

The user's input is processed just as if it had been read from a
normal input file.

.lm -5

.hl 2 Optional Input Segments
.x Text>optional
.x Text>conditional
.x Input>optional segments
.x Commands>optional input
.x Optional>input segments

It may be desirable to have sections of the input which are sometimes
excluded from the output document.  The following commands provide the
ability to set off sections of the input file so they can selectively be
included in or excluded from the output document.  The selection can be
made either with commands within the input file (see INCLUDE and EXCLUDE
below) or by using switches in the RUNOFF command line (see the next
=chapter).

.p 0,1,2

For example, this manual can apply to RSX or RSTS systems.  The user
instructions for both operating systems are in the input file for this
manual, but there is no need to have both sets of instructions in every
manual.  Thus, the commands below are used to select which set of
=instructions is included in the output.

.p

The structure for using these commands to control processing of a
=segment of the input can be described as follows:

.p 0,,3
.c ,_.OPTION <n>                                          #
.c ,<lines of input to process if "INCLUDE <n>" in effect>
.c ,_.END OPTION <n>                                      #
.p 0,,2

The following structure can be used if there are two alternative
=portions of the input:

.p 0,,5
.c ,_.OPTION <n>                                          #
.c ,<lines of input to process if "INCLUDE <n>" in effect>
.c ,_.ELSE <n>                                            #
.c ,<lines of input to process if "EXCLUDE <n>" in effect>
.c ,_.END OPTION <n>                                      #
.s

The commands shown in these structures are described in detail below.

.lm +5
.p -5,2,5,8,2
_.OPTION <number>
.rj _.OPT <number>
.x OPTION command
.s

Marks the beginning of a segment of the input file which is to be
processed or ignored depending on the "setting" of the indicated
option.  Options are set to "include" or "exclude" by commands with
corresponding names, described below.  The option number must have
its magnitude in the range 1-32, and an error message is output if
the option hasn't been set to either "include" or ="exclude."

.p 0,1,2,4,2

If the option has been set to "exclude," RUNOFF will ignore all the
input up to the next #ELSE or END#OPTION# command (see below) with
the same option number.  When an option is set to "include," RUNOFF
will process all the input up to the next #ELSE# or #END#OPTION
command with the same option number.

.p 0,,2

If the option number is negative the logic is reversed.  That is,
the input will be ignored when the option is set to "include."

.p -5,,5
_.ELSE <number>
.x ELSE command
.s

Marks the beginning of an alternate optional input segment.  The
option number must be the same as that in the corresponding OPTION.

.p 0,,2,5

If the option is set to "include," this command marks the end of
the material to be included in the output and the beginning of
another segment which will be excluded.  Conversely, if the option
is set to "exclude," this command marks the end of the material to
be excluded and the beginning of a segment to be included.

.p -5,,4
_.END OPTION <number>
.rj _.ENDO <number>
.x END OPTION command
.s

Marks the end of an optional input segment.  The option number must
be the same as that in the corresponding OPTION command.

.p -5,,4,7,2
_.INCLUDE <number>
.rj _.IN <number>
.x INCLUDE command
.s

Sets the indicated option so that all input enclosed by any OPTION
and ELSE or END#OPTION commands (see above) with the given option
number will be processed.  The /IN command-line switch can also be
used to select inclusion of optional input segments.

.p 0,,3

This command will be ignored (and a =message will be output to the
user's terminal) if there had been a command-line switch (/IN or
/EX) associated with the specified option number.

.p -5,,4
_.EXCLUDE <number>
.rj _.EX <number>
.x EXCLUDE command
.s

Similar to the INCLUDE command, except that this command sets the
indicated option so that the corresponding input will be ignored.
In that case, any input between ELSE and END#OPTION commands for
the given option number will be processed.  (Also see the /EX and
/IN command-line switches.)

.p -5,,4
_.EOF
.x EOF command
.x Input>early termination
.s

Forces the logical end of the input file.  This is useful if you
want to have only the first portion of an input file processed.

.;RSX OPERATING PROCEDURES
.option 1
.t
.st
.option 4
.lm 0
.even (This page intentionally left blank.)
.end option 4
.chapter RSX/IAS OPERATING PROCEDURES
.x RSX>operating procedure
.x Operation
.st Initiating RUNOFF
.hl 1 INITIATING RUNOFF
.x Initiating RUNOFF

RUNOFF can be initiated in several ways.  The most common MCR commands
for RSX-11 users are listed below.  In these descripitons, characters
output by the system are shown as underlined.

.s

If RUNOFF is installed, it can be initiated by

.s
.c &>RNO <command string><RETURN>

or

.c &>RNO <RETURN>               #
.c ^&RNO>\&<command string><RETURN>#
.c ^&RNO>\&_^Z                      #

.s

If RUNOFF is not installed, it can be initiated by

.s
.c &>RUN <UFD spec>RNO<RETURN>  #
.c ^&RNO>\&<command string><RETURN>#
.c ^&RNO>\&_^Z                      #
.s

The optional "UFD spec" tells the system where to find the task file,
RNO.TSK.  The UFD can be omitted if the task file is in the user's
current default UFD.  If the UFD is "LB:[1,54]", it can be specifed
simply as "$".

.st RUNOFF Command String
.hl 1 RUNOFF COMMAND STRING
.x Command>string

RUNOFF requires a command string to specify the input and output files
as well as various options.  A standard command string has one of the
following forms:

.s.c <output file> _= <input file>[,<input file>...]
.s.c or
.s.c @<command file>
.s

Both <output file> and <input file> are strings comprising file
specifications.  Spaces are optional between elements of the command
line.  As indicated, there can be multiple input files.  (In that case a
BREAK =occurs in the output between input files.)

.p 0,1,2

The second form of command string (@<command file>) is used to specify
an indirect command file.  In this case each line of the specified file
is used as a command string.  Comment lines can be included in the file
by starting such lines with a semicolon.  Other command files can be
referenced from the command file specified on the command line, but
any attempt to nest further than that will yield an error message.

.hl 2 File Specifications
.x File specification

An RSX-11 file specification has the following general form, some parts
of which are optional.

.s
.c <device>:[<uic>]<filename>.<type>;<version>
.p 0,1,3

In this specification <device> must be a legal device code.  <Uic># must
be a valid User Identification Code.  The square brackets are required
if a UIC is specified.

.p 0,,2,4

The initial default for <device> is "SY", the user's disk.  The initial
default UIC is the current UIC.  If a device or UIC is specified on the
input side of a command, that specification becomes the default for the
remainder of the command.

.p 0,,3

<Filename> is any one- to nine-character alphanumeric string which
=specifies a file name.  <Type> is a zero- to three-character
alpha=nu=meric file type.

.s

System programs often default to appropriate standard file types, so the user
will often not have to explicitly specify them.  The default file
names and types for RUNOFF (any of which may be overridden) are:

.s.c Input:#########RUNOFF.RNO
.s.c Output:########RUNOFF.DOC
.s.c Command file:##<name>.CMD
.s

Finally, <version> is an octal number which is the version number of the
file.  This field can also normally be omitted since it defaults on
input to the highest existing version number for the file and on output
to the highest existing version number plus one.

.tp 7,10,2
.hl 2 RUNOFF Switches
.x Switches
.x #_/  (switch character)
.x Switch character

A file specification may have one or more switches associated with it.
A switch is an indicator, consisting of a slash and a two-character
ASCII name, used to select a program option.  In general, a switch may
appear in three forms--for example, if a switch designator is "SW",
then:

.p 0,1,3
.c /SW#####Sets the switch action,       #
.c /-SW####Negates the switch action, and#
.c /NOSW###Also negates the switch action.
.p 0,,2

Some switches, however, are not accepted in either of the negative
forms.

.p 0,,2,4

Some switch identifiers may be followed by one or more values.  The
permitted values are numbers or an ASCII character as indicated in the
switch descriptions below.  The default for numeric values is decimal.
=Values preceded by a number sign ("_#") are interpreted as octal.

.p 0,,2,6

There are several switches to control the RUNOFF program.  These
switches, described below, may generally be specified on either the
input or output file specifications.  Input specifications supersede the
output specification if there is any conflict.  If there are multiple
input files, switches are "sticky" in that they remain in effect until
=explicitly changed.

.p 0,,2

The defaults for switch settings and values may be set by the system
manager when the RUNOFF program is task built.

.lm +8.nf
.s 2
.x Version of RUNOFF
/ID#####-- Identify the version of RUNOFF being used.
.p 0,1,3
.x Appending output
/AP#####-- Append the output to the specified output file,
.i +16 starting a new page.  (This switch is only
.i +16 considered on the output file specification.)
/-AP####-- Write the output to a new file (default)
.p 0,1,3
.x Formfeeds
/FF#####-- Use formfeeds instead of multiple linefeeds (default)
/-FF:&n##-- Simulate formfeeds with linefeeds (&n is the number of
.i +16 lines per page; default value is 66)
.p 0,,2
.x Case control
/UC#####-- Disable the LOWERCASE command and "_\_\" case shift
/-UC####-- Allow normal case conversion (default)
.p 0,,2
.x Spooling
.y Printing (see Spooling)
/SP#####-- Spool (i.e., print) the output file
/-SP####-- Inhibit spooling of the output file (default)
.p 0,,2
.x Delay of output
/WA#####-- Wait for  CR  input at beginning of each page
/-WA####-- Output each page with no wait (default)
.p 0,,4
.x Page>range
.x Output>page range
/PA:&l:&h -- Output only indicated page range
.i +16 &l#_=#Lowest page number output
.i +16 &h#_=#Highest page number output
.i +16 (default setting is to output all pages)
.p 0,,4
.x Chapter>range
.x Output>chapter range
/CH:&l:&h -- Output only indicated chapter range
.i +16 &l#_=#Lowest chapter number output
.i +16 &h#_=#Highest chapter number output
.i +16 (default setting is to output all chapters)
.p 0,,2
.x Page>length
.x Length>page
.x Page>width
.x Width>text
.x Margin>text
.x Text>margin
/PS:&m:&n -- Set PAGE SIZE to #&m,&n #(see the PAGE SIZE command)
.i +16 (default is /PS:56:60)
.p 0,,2
.x Word>hyphenation
.x Hyphenation
/HY#####-- Enable hyphenation of output (default)
/-HY####-- Do not allow hyphenation of output
.p 0,,4
.x Underlining
/UL:B###-- Underline by backspacing and overprinting (default)
/UL:L###-- Underline via line overprint with underbar character
/UL:S###-- Simulate underline with hyphen character on next line
/UL:N###-- Suppress underlining
.p 0,,2
.x Alternate switch
/AL#####-- Allow the ALTERNATE, ALTERNATING TITLE, EVEN and ODD
.i +16 commands to be processed.  (default)
/-AL####-- Disable the ALTERNATE, ALTERNATING TITLE, EVEN and
.i +16 ODD commands.
.p 0,,9
.x Format, page
.x Page>format
.x Margin>top
.x Top margin
/DO:&n###-- Set the number of blank lines to be output at the
.i +16 top of each page (default is 0).  (DOwn) *
.footnote 5
.lm 4.f.p -4,1
*###If any of the switches #DO, LO, LE# and #WI# are specified, and a
=PAGE FORMAT  command in the input attempts to change the setting(s), a
message is output to the user's terminal and the corresponding
=parameter(s) is(are) not changed.
!
.p 0,,3
.x Length>page
.x Page>length
/LO:&n###-- Set the maximum number of lines to be output on each
.i +16 page, ^&not\& counting the blank lines at the top
.i +16 (default is 56).  (LOng) *
.p 0,,3
.x Margin>text
.x Margin>base
.x Text>margin
/LE:&n###-- Set the base left margin from which the left and
.i +16 right margins are to be applied--see the PAGE FORMAT
.i +16 command (default is 0).  (LEft) *
.p 0,,2
.x Page>width
.x Width>text
.x Margin>text
.x Text>margin
/WI:&n###-- Set the right margin to be used initially and as the
.i +16 default where appropriate (default is 60).
.i +16 (WIdth) *
.p 0,,8
.x Header>length
.x Length>header
/HL:&n###-- Set the number of lines to be in each page header
.i +16 (default is 5).  (Header Length) **
.footnote 4
.lm 4.f.p -4,1
**##If the HL switch is specified, and a #HEADER# command in the input
attempts to change the setting, a message is output to the user's
terminal and the setting is not changed.
!
.p 0,,4
.x Header>chapter _& appendix
.x Chapter>heading
.x Appendix>heading
/BL:&n###-- Set the number of blank lines to be output before
.i +16 chapter, appendix and index headings, and the
.i +16 default vertical spacing for the EVEN and ODD
.i +16 commands (default is 7).  (Blank Lines)
.p 0,,6
.x Optional>input segments
.x Input>optional segments
.x Text>optional
.x Text>conditional
/IN:&m:&n:...#-- Set the indicated text options for inclusion
.i +16 regardless of any INCLUDE or EXCLUDE commands
.i +16 for those options in the input file(s).  Up to
.i +16 five options can be specified.  (INclude) *
/EX:&m:&n:... -- Similar to the /IN switch above, except that the
.i +16 options are set for exclusion.  (EXclude) *
.footnote 4
.lm 3.f.p -3,1
*##If an #IN# or #EX# switch is specified, and an INCLUDE or EXCLUDE
command appears in the input for the same option number, a message is
output to the user's terminal and the command is ignored.
!
.f
.lm 0.rm


.st RUNOFF Output File
.hl 1 RUNOFF OUTPUT FILE
.x RSX>output file format
.x Output>file

The files produced by RUNOFF are not normal RSX/FCS "text" files.
RUNOFF supports overprint underlining, and RSX text files (FD.CR
attributes) cannot handle overprint.  To overcome this obstacle, RUNOFF
produces output files with unspecified (null) attributes, and includes
=explicit carriage return and linefeed characters in every record.

.p 0,1,2

When PIP is used to send RUNOFF output files to serial printer units
(e.g., LA120, Diablo) underlining works properly.  On line printer
=devices, however, embedded <CR> and <LF> characters produce a variety of
actions, depending on the controller and/or printer.  Be hereby warned.

.p

When FLX is used to copy RUNOFF output files to a DOS format tape, it
defaults to transfer the file in its "formatted ASCII" mode, ending each
record with a <CR><LF> sequence.  Since the RUNOFF output file already
has <CR><LF> sequences imbedded, the result is a file which is double
spaced.  If you are using FLX to record RUNOFF files on DOS tape, you
must use the FLX "/IM" (image mode) switch to avoid a double spaced
file.  Alternately, you can "filter" the output file with TECO as shown
below.  Again, watch out for the effects of underlining sequences.

.hl 2 Editing RUNOFF Output
.x Editing RUNOFF Output
.x Output>editing

It may not be possible to edit RUNOFF output files with your standard
RSX/IAS file editor.  The output file may first have to be processed by
TECO with a command with the format below ("$" represents the ESC key).  

.s.c *ER<filespec>$EW<filespec>/-CR$EX$$

.end option 1

.;RSTS/E OPERATING PROCEDURES
.option 2
.t
.st
.option 4
.lm 0
.even (This page intentionally left blank.)
.end option 4
.chapter RSTS/E OPERATING PROCEDURES
.x RSTS/E>operation
.x Operation

.lm +5.rm -5
.c CONTRIBUTOR'S NOTE
.s

These instructions for RSTS have been carried forward from the
preceding version of RUNOFF, with changes for added features
and readability.  Their accuracy has ^&not\& been verified.

.lm -5.rm +5

.st Initiating RUNOFF
.hl 1 INITIATING RUNOFF
.x Initiating RUNOFF

For RSTS/E users, RUNOFF is run by the general command format:

.s
.c RUN $RNO      #
.c RNO> <command string>

.p 0,1,4

If the RNO CCL command has been added to the system, the following
=format may also be used:

.s.c RNO <command string>

.HL 1 RUNOFF COMMAND STRING
.x Command>string

RUNOFF requires a command string to specify input files and various
=options.  A command string has one of the following forms:

.s.c <output file> _= <input file>[,<input file>...]
.s.c or
.s.c @<command file>

.p ,,2,4

Both <output file> and <input file> are strings comprising file
specifications.  Spaces are optional between elements of the command
line.  As indicated, there can be multiple input files.  (In that case a
BREAK occurs in the output between input files.)

.p ,,2,4

The second form of command string (@<command file>) is used to specify
an indirect command file.  In this case each line of the specified file
is used as a command string.  Comment lines can be included in the file
by starting such lines with a semicolon.  Other command files can be
referenced from the command file specified on the command line, but
any attempt to nest further than that will yield an error message.

.p 0,,2

The command-string syntax is described more completely in the User's
Guide for the relevant operating system.

.HL 2 File Specifications
.x File specification

A RSTS/E file specification has the following general form, some parts
of which are optional.

.s.c <device>:[<ppn>]<filename>.<type>
.p ,,3

In this specification <device> must be a legal device code.  The default
value is "SY", the system disk.  <Ppn> must be a valid Programmer-Project
Number.  The square brackets are required if a PPN is specified.

.p

<Filename> is any one- to six-character alphanumeric string which
=specifies a file name.  <Type> is a one- to three-character
alpha=nu=meric file type.

.p

System programs default to an appropriate standard type, so the user
will often not have to explicitly specify it.  The default file names
and types (any part of which may be overridden) are:

.s.c Input:#########RUNOFF.RNO
.s.c Output:########RUNOFF.DOC
.s.c Command file:##<name>.CMD
.p ,,2,5
.x RSTS/E>output formats

Under RSTS/E, RUNOFF uses the RSX Run-Time System and may be task-built
to output its data as an RMS compatible sequential file which may be
printed by the RSTS/E spooling package without further processing.  To
convert the output to a standard (ASCII-stream) RSTS/E file, the FLX
system program may be used as follows:

.p ,,2
.c RUN $FLX                    #
.c FLX> OUTPUT.TXT/FA_=OUTPUT.DOC
.p ,,3

where OUTPUT.DOC was output by RNO.  Normally, RSTS/E systems will use the
"ASCII-stream" version of RNO.TSK.  Files output by this version of RUNOFF
are compatible with BASIC-PLUS I/O formats.

.note

Source file input to RSTS/E RUNOFF may be either in RMS-compatible
sequential file format or in BASIC-PLUS compat=ible ASCII-stream format.
In the latter case, all input lines must be terminated by <CR><LF> or
<FF> =sequences.  Other sequences, such as <LF><CR>, may cause erroneous
output.

.end note

.hl 2 RUNOFF Switches
.x Switches
.x #_/  (switch character)
.x Switch character

A file specification may have one or more switches associated with it.
A switch is an indicator, consisting of a slash and a two-character
ASCII name, used to select a program option.  In general, a switch may
appear in three forms--for example, if a switch designator is "SW",
then:

.p 0,,3
.c /SW#####Sets the switch action,       #
.c /-SW####Negates the switch action, and#
.c /NOSW###Also negates the switch action.
.p 0,,2

Some switches, however, are not accepted in either of the negative
forms.

.p 0,,2,4,2

Some switch identifiers may be followed by one or more values.  The
permitted values are numbers or an ASCII character as indicated in the
switch descriptions below.  The default for numeric values is decimal.
=Values preceded by a number sign ("_#") are interpreted as octal.

.p 0,,2,6

There are several switches to control the RUNOFF program.  These
switches, described below, may generally be specified on either the
input or output file specifications.  Input specifications supersede the
output specification if there is any conflict.  If there are multiple
input files, switches are "sticky" in that they remain in effect until
=explicitly changed.

.p 0,,2

The defaults for switch settings and values may be set by the system
manager at Task Build time.

.lm +8.nf
.s 2
.x Version of RUNOFF
/ID#####-- Identify the version of RUNOFF being used.
.p 0,1,3
.x Appending output
/AP#####-- Append the output to the specified output file,
.i +16 (starting a new page).  (This switch is only
.i +16 considered on the output file specification.)
/-AP####-- Write the output to a new file (default)
.p 0,1,3
.x Formfeeds
/FF#####-- Use formfeeds instead of multiple linefeeds (default)
/-FF:&n##-- Simulate formfeeds with linefeeds (&n is the number of
.i +16 lines per page; default value is 66)
.p 0,,2
.x Case control
/UC#####-- Disable the LOWERCASE command and "_\_\" case shift
/-UC####-- Allow normal case conversion (default)
.p 0,,2
.x Spooling
.y Printing (see Spooling)
/SP#####-- Spool (i.e., print) the output file
/-SP####-- Inhibit spooling of the output file (default)
.p 0,,2
.x Delay of output
/WA#####-- Wait for  CR  input at beginning of each page
/-WA####-- Output each page with no wait (default)
.p 0,,2
.x Page>length
.x Length>page
.x Page>width
.x Width>text
.x Margin>text
.x Text>margin
/PS:&m:&n -- Set PAGE SIZE to #&m,&n #(see the PAGE SIZE command)
.i +16 (default is /PS:56:60)
.p 0,,2
.x Word>hyphenation
.x Hyphenation
/HY#####-- Enable hyphenation of output (default)
/-HY####-- Do not allow hyphenation of output
.p 0,,4
.x Page>range
.x Output>page range
/PA:&l:&h -- Output only indicated page range
.i +16 &l#_=#Lowest page number output
.i +16 &h#_=#Highest page number output
.i +16 (default setting is to output all pages)
.p 0,,4
.x Chapter>range
.x Output>chapter range
/CH:&l:&h -- Output only indicated chapter range
.i +16 &l#_=#Lowest chapter number output
.i +16 &h#_=#Highest chapter number output
.i +16 (default setting is to output all chapters)
.p 0,,4
.x Underlining
/UL:B###-- Underline by backspacing and overprinting (default)
/UL:L###-- Underline via line overprint with underbar character
/UL:S###-- Simulate underline with hyphen character on next line
/UL:N###-- Suppress underlining
.p 0,,2
.x Alternate switch
/AL#####-- Allow the ALTERNATE, ALTERNATING TITLE, EVEN and ODD
.i +16 commands to be processed.  (default)
/-AL####-- Disable the ALTERNATE, ALTERNATING TITLE, EVEN and
.i +16 ODD commands.
.p 0,,6
.x Format, page
.x Page>format
.x Margin>top
.x Top margin
/DO:&n###-- Set the number of blank lines to be output at the
.i +16 top of each page (default is 0).  (DOwn) (1)
.footnote 5
.lm 5.f.p -5,1
(1)##If any of the switches #DO, LO, LE# and #WI# are specified, and a
=PAGE FORMAT  command in the input attempts to change the setting(s), a
message is output to the user's terminal and the corresponding
=parameter(s) is(are) not changed.
!
.p 0,,3
.x Length>page
.x Page>length
/LO:&n###-- Set the maximum number of lines to be output on each
.i +16 page, ^&not\& counting the blank lines at the top
.i +16 (default is 56).  (LOng) (1)
.p 0,,3
.x Margin>text
.x Margin>base
.x Text>margin
/LE:&n###-- Set the base left margin from which the left and
.i +16 right margins are to be applied--see the PAGE FORMAT
.i +16 command (default is 0).  (LEft) (1)
.p 0,,2
.x Page>width
.x Width>text
.x Margin>text
.x Text>margin
/WI:&n###-- Set the right margin to be used initially and as the
.i +16 default where appropriate (default is 60).
.i +16 (WIdth) (1)
.p 0,,6
.x Header>length
.x Length>header
/HL:&n###-- Set the number of lines to be in each page header
.i +16 (default is 5).  (Header Length) (2)
.footnote 4
.lm 5.f.p -5,1
(2)##If the HL switch is specified, and a #HEADER# command in the input
attempts to change the setting, a message is output to the user's
terminal and the setting is not changed.
!
.p 0,,6
.x Optional>input segments
.x Input>optional segments
.x Text>optional
.x Text>conditional
/IN:&m:&n:...#-- Set the indicated text options for inclusion
.i +16 regardless of any INCLUDE or EXCLUDE commands
.i +16 for those options in the input file(s).  Up to
.i +16 five options can be specified.  (INclude) (3)
/EX:&m:&n:... -- Similar to the /IN switch above, except that the
.i +16 options are set for exclusion.  (EXclude) (3)
.footnote 4
.lm 5.f.p -5,1
(3)##If an IN or EX switch is specified, and an INCLUDE or EXCLUDE
command appears in the input for the same option number, a message is
output to the user's terminal and the command is ignored.
!
.p 0,,4
.x Header>chapter _& appendix
.x Chapter>heading
.x Appendix>heading
/BL:&n###-- Set the number of blank lines to be output before
.i +16 chapter, appendix and index headings, and the
.i +16 default vertical spacing for the EVEN and ODD
.i +16 commands (default is 7).  (Blank Lines)
.f
.lm 0.rm
.end option 2

.;MESSAGES
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix RUNOFF MESSAGES
.x Error messages
.x Messages

RUNOFF produces messages on the user's terminal in the following format:

.s.c RNO -- <message>
.s

This appendix lists all the messages produced by RUNOFF.  Most of the
messages indicate error conditions and are self-explanatory.  In many
cases, RUNOFF indicates the output page in process at the time to help
you locate the cause of the error in the input file.

.s
.x Exit status
.x Status, exit

RUNOFF exits with a status value which can be used in a command file,
for example, to control subsequent processing.  The possible status
=values and their interpretations are:

.s
.c ,0  _=  WARNING      -- Output possibly needs to be checked#
.c ,1  _=  SUCCESS      -- No errors or warnings occurred     #
.c ,2  _=  ERROR        -- Something went wrong               #
.c ,4  _=  SEVERE ERROR -- RUNOFF aborted execution           #
.s

The exit status value reflects the "worst" condition which occurred
during execution of the RUNOFF program.  That is, for example, if there
is a warning message and error message, the status value will be 2.  The
status value associated with each message is shown at the right margin.

.lm 5
.p -5,2,5

RNO -- Attempt to override switch value on output page <n>

.rj (Status _= 0)
.p 0,1,1

A PAGE FORMAT or HEADER command in the input file tried to change the
value of a parameter set by a command-line switch.  The value was
^&not\& changed.

.p -5,2,4

RNO -- Bad parm.#in command "<cmd>" on output page <n>

.rj (Status _= 2)
.p 0,1,1

The indicated command contains a parameter which is invalid.  The
remainder of the command was ^&not\& processed.

.p -5,2,4,8,2

RNO -- Block long on output page <number>

.rj (Status _= 0)
.p 0,1,1

After output of a block on the indicated page, the page was
longer than the current page length specification.  This indicates
that the BLOCK command underestimated the number of lines required
for the the body of the block, or the text length was reduced
between the occurrence of the block command and the point at which
the block was output.

.p -5,2,5

RNO -- Can't center line on output page <number>

.rj (Status _= 2)
.p 0,1,1

An attempt has been made to center some text which does not
fit within the current margins.

.p -5,2,4

RNO -- Can't indent list element on output page <n>

.rj (Status _= 2)
.p 0,1,1

The user has nested lists that cause RUNOFF to attempt indenting
beyond the right margin.

.nf.lm -5
.p 0,2,6
RNO -- Can't justify line:
.rj (Status _= 2)
       <text>
       on output page <number>
.f.lm +5

.p 0,1,1

<text> is a line with no spaces (other than quoted spaces), which
RUNOFF was thus unable to justify.

.p -5,2,4

RNO -- Can't reduce margins for note on output page <n>

.rj (Status _= 2)
.p 0,1,1

A #NOTE# command occurred after the margins were set to values that
prevent the #NOTE# command from reducing them further.

.p -5,2,5

RNO -- Can't right justify line on output page <n>

.rj (Status _= 2)
.p 0,1,1

An attempt has been made to right justify some text which does not
fit on a line with text already present.  The text was output right
justified on the next line.

.p 0,1,1

If the page reference is missing, the same command failed
=because the text was too long to fit on one line.

.p -5,2,4

RNO -- Command syntax error

.rj (Status _= 4)
.p 0,1,1

The user has entered a command line in a format that does not
=conform to system syntax rules.

.p -5,2,8

RNO -- Error on input file

.rj (Status _= 4)
.p 0,1,1

A read error has occurred on an input file.  One of the follow=ing
conditions may exist:

.p ,,3
.list 0
.le The file is not a text file
.le The file is corrupted or the format is wrong.
.le A problem exists with a physical device (e.g., the device is cycled down).
.els 0

.p -5,2,8

RNO -- Error on output file

.rj (Status _= 4)
.p 0,1,1

A write error has occurred on the output file.  One of the =following
conditions may exist:

.p ,,3
.list 0
.le The user does not have write access privileges to the file.
.le The device is full or is write protected.
.le The hardware has failed.
.els 0

.p -5,2,6

RNO -- FATAL ERROR

.rj (Status _= 4)
.p 0,1,4

This message is an internal program error and should not occur
under normal use.  This error will occur if there is
a "Not enough memory" error while a footnote or
block is being stored.

.p -5,2,4,7,2

RNO -- Footnote long on output page <number>

.rj (Status _= 0)
.p 0,1,1

After output of the footnote(s) on the indicated page, the page was
longer than the current page length specification.  Either a
FOOTNOTE command underestimated the number of lines required for
the footnote text, or a FOOTNOTE reference occurred too low on the
page for the footnote to fit.

.p -5,2,4,6,2

RNO -- Footnote short on output page <number>

.rj (Status _= 0)
.p 0,1,2

After output of the footnote(s) on the indicated page, the page was
shorter than the current page length specification.  That is, a
=FOOTNOTE command overestimated the number of lines =required for
the footnote text.

.p -5,2,4

RNO -- Illegal command "<cmd>" on output page <n>

.rj (Status _= 2)
.p 0,1,1

The cited command is either unknown or was not acceptable in the
=existing context.

.p -5,2,10

RNO -- Input open failure

.rj (Status _= 4)
.p 0,1,1

The file system has detected an error while attempting to open
an input file.  One of the following conditions may exist:

.p
.list 0
.le The file does not exist as specified.
.le The specified file directory does not exist.
.le The file is protected against reading.
.le The volume is not mounted.
.le A problem exists with the physical device.
.els 0

.p -5,2,3

RNO -- Input specification error

.rj (Status _= 4)
.p 0,1,1

An error exists in an input specification.  For example, an invalid
switch has been given, or a wildcard has been used in a file
=specification.

.p -5,2,4,7,2

RNO -- Internal buffer overflow

.rj (Status _= 4)
.p 0,1,1

An internal text buffer has overflowed.  The probable cause was
that the text argument for a TITLE, SUBTITLE, PAGE#NAME, CHAPTER,
=APPENDIX, or DO#INDEX command was longer than the maximum allowed
length.  Another possible cause is an invalid command in a very
long line in the input file.  When this error occurs, RUNOFF
=immediately stops processing the input.

.p -5,2,4

RNO -- Invalid indent on output page <number>

.rj (Status _= 0)
.p 0,1,2,4

A negative line indent has attempted to position the text to the
left of column zero.  This is probably due to setting a negative
paragraph indent and then later reducing the left margin.  The
=result is that the affected line exceeds the right margin.

.p -5,2,4

RNO -- Invalid UL switch value

.rj (Status _= 2)
.p 0,1,2

An invalid value was supplied with a /UL switch on the command
line.  "/UL:N" was assumed--that is, underlining was suppressed.

.p -5,2,5

RNO -- Long line in literal on output page <number>

.rj (Status _= 0)
.p 0,1,1

A line in the output has exceeded the right margin during
processing of a LITERAL section.  This is only a warning message;
the long line was not affected.

.p -5,2,4,8,2

RNO -- Not enough memory

.rj (Status _= 4)
.p 0,1,1

The buffer used for storage of the index, figures, footnotes and
blocks has been filled even though the task has expanded itself as
much as possible.  You must delete some INDEX entries (or reduce
their length) or reduce the amount of text pending at the point of
the error.  When this error occurs, RUNOFF immediately stops
=processing the input.

.p -5,2,5

RNO -- Option active at EOF

.rj (Status _= 0)
.p 0,1,1

The end of an input file was encountered while an optional section
was being skipped.  That is, there was no #ELSE# or #END#OPTION
=command for the last #OPTION# command processed.

.p -5,2,5

RNO -- Option setting ignored on output page <number>

.rj (Status _= 0)
.p 0,1,1

An #INCLUDE# or #EXCLUDE# command was encountered in the input file
which references an option set by a command-line switch.  This
=message is a warning that RUNOFF ignored the command.

.p -5,2,3

RNO -- Option switch error

.rj (Status _= 4)
.p 0,1,1

A value specified in an /IN or /EX switch was not valid.

.p -5,2,10

RNO -- Output open failure

.rj (Status _= 4)
.p 0,1,1

The file system has detected an error while attempting to open the
output file.  One of the following conditions may exist:

.p
.list 0
.le The specified user file directory does not exist.
.le The user file directory is protected against opening.
.le The volume is not mounted.
.le The device is full or write protected.
.le A problem exists with the physical device.
.els 0

.p -5,2,3

RNO -- Output specification error

.rj (Status _= 4)
.p 0,1,1

An error exists in an output specification.  For example, an
=invalid switch has been given, multiple output files have been
listed, or a wildcard has been used in a file specification.

.p -5,2,4

RNO -- REQUIRE loop error on output page <number>

.rj (Status _= 4)
.p 0,1,2

An attempt has been made to use a REQUIRE command to branch to
a file which has already been included in the input.  This would
cause an infinite loop and is thus disallowed.  Input processing
continues with the file containing the command.  (Note that the
file referenced in the failed REQUIRE is ^&not\& processed.)

.p -5,2,5

RNO -- REQUIRE open failure on output page <number>

.rj (Status _= 4)
.p 0,1,2

An attempt has been made to branch (with a REQUIRE or CHAIN
command) to a secondary input file which could not be opened
for reading, or, when returning from such a file, the previous
input file could not be reopened.  (See the "Input open
=failure" message for possible reasons.)

.p

After this error, the next previous input file is reopened if there
is one, otherwise RUNOFF exits immediately.

.p -5,2,4

RNO -- REQUIRE stack overflow on output page <number>

.rj (Status _= 4)
.p 0,1,2

An attempt has been made to nest input files too deeply with
=REQUIRE commands.  The REQUIRE which failed is ignored and the
=input file containing that command is continued.  (Note that the
file referenced in the failed REQUIRE is ^&not\& processed.)

.p -5,2,4
.x Version of RUNOFF

RNO -- Version <version number> (<revision date>)

.rj (Status _= 1)
.p 0,1,2

Indicates what version of RUNOFF is being used (in response to an "ID"
switch specified on the command line).

.lm 0

.;MARGIN
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix PAGE FORMAT AND MARGIN CONTROL
.x Margin>control
.x Margin>header
.x Margin>text
.x Text>margin
.x Page>format
.x Page>header
.x Page>length
.x Format, page

There are several parameters which RUNOFF uses to control the format of
the pages of the output document.  These parameters are set with the
/DO, /HL, /LE, /LO, /PS _& /WI command-line switches and the PAGE =FORMAT,
PAGE#SIZE (or PAPER#SIZE), LEFT#MARGIN, RIGHT#MARGIN, STANDARD, HEADER
and ALTERNATE commands.

.st Vertical Positioning
.hl 1 VERTICAL POSITIONING
.x Vertical positioning
.x Positioning text>vertically

The following parameters are used to position the output on the page
vertically.

.s 2.lm +23
.x Margin>top
.x Top margin
.i -23

Top#margin##########--#The number of blank lines which are output at the
top of each page before the page header.

.s

The initial value of this parameter is 0.  The
value can be set with the /DO command-line switch
and the PAGE FORMAT command.

.x Length>header
.x Header>length
.s.i -23

Header#length#######--#Number of lines in page headers when they are =enabled.
That is, the number of lines from the title and page-number line down to the
first line of text.

.s

The initial header length is 5 lines.  It can be
set with the /HL command-line switch and the
=HEADER command.

.x Length>page
.x Page>length
.s.i -23

Page#length#########--#Maximum number of print lines on each page, =including
the header lines but ^&not\& including the lines of the top margin.

.s

The initial page length is 56 lines.  The page
length can be set with the /LO and /PS switches
and the PAGE FORMAT and PAGE SIZE commands.

.x Length>text
.x Text>length
.s.i -23

Text#length#########--#Maximum number of text lines on each page.  Although
not directly set by any command, this parameter is used as the criterion
for the =maximum length of blocks, footnotes and figures.

.p 0,1,2,5

The text length is defined as the page length
minus the header length, and thus is affected by
the /HL, /LO and /PS switches and the HEADER,
=PAGE FORMAT and PAGE#SIZE commands.  The initial page
length is 51 lines.

.lm
.st Horizontal Positioning
.hl 1 HORIZONTAL POSITIONING
.x Horizontal positioning
.x Positioning text>horizontally

The following parameters are used to position the output on the page
horizontally.

.lm +23
.p -23,2,2,6
.x Base margin
.x Margin>base

Base#margin#########--#The number of spaces to be output between the far-left
print position of the output device to the column which is to be logically
considered column 0 by RUNOFF.  That is, this parameter sets the base from
which all other margins (and tab stops) are =measured.

.p 0,1,2

The initial base margin is 0.  It can be set with
the /LE switch and the PAGE FORMAT command.

.p -23,1,3
.x Offset, alternating

Alternating#offset##--#Number of spaces to be inserted at the left side
of all lines of odd-numbered pages when pages are made to alternate
left/right.  That is, the base margin is increased by this amount on all
odd-numbered pages.

.p 0,1,3

Initially there is no alternating offset.  The
ALTERNATE command is the only means for setting
this parameter.

.p -23,,2
.x Width>page
.x Page>width

Page#width #########--#Number of spaces from the base margin to the
=default right margin.  That is, the page width is used whenever a default
is needed for the right margin.  The initial page width is 60 columns.

.p 0,,2,4

The page width is set with the /WI switch and the
PAGE FORMAT and PAGE#SIZE commands.  Whenever this
parameter is set, the header and text right
=margins are also set (see below).

.p -23,,2
.x Margin>header
.x Header>margin

Header#left#margin #--#Number of spaces from the base margin to the left
edge of the header (e.g., the title).

.p 0,,3

The initial header left margin is 0.  This
parameter can be changed only with the =HEADER
command.

.p -23,,3
.x Margin>header
.x Width>header
.x Header>width

Header#right#margin#--#Number of spaces from the base margin to the right
edge of the header (e.g., the page number).  The
initial value is 60 columns.

.p 0,,2,4

This parameter is set by the HEADER command.  It
is also set by the /PS and /WI switches, the
=STANDARD and PAGE SIZE commands, and when the page
width is set by the =PAGE FORMAT command.

.p -23,,2
.x Margin>text
.x Text>margin

Text#left#margin####--#Number of spaces from the base margin to the left
edge of the text.*# The initial value is 0.

.p 0,,2,4

This parameter is set by the LEFT MARGIN command.
It is also set by the STANDARD command.  The left
margin is temporarily changed by the LIST and NOTE
commands.

.footnote 10
.lm 3.p -3,1

*##The text left margin (lm), text right margin (rm), text indent (i),
and paragraph indent (p) must satisfy the compatibility criteria:

.s
.c rm #and# lm:     0 <= lm < rm     #
.c lm, rm #and# i:  0 <= (lm + i) < rm
.c p:               0 <= (lm + p) < rm
.s

Note that the last criterion is ^&not\& checked when the left or right
margin is changed.
! (end of footnote)

.p -23,,3
.x Width>text
.x Margin>text
.x Text>margin

Text#right#margin###--#Number of spaces from the base margin to the right
edge of the text.*# The initial value is 60 columns.

.p 0,,2,7,3

This parameter is set by the RIGHT#MARGIN command.  It is
also set by the STANDARD and PAGE SIZE commands and when the
page width is set with the PAGE FORMAT command.  The right margin
is tem=porarily changed by the NOTE command.  The right
margin is =ignored while a LITERAL section is being
=processed except that a warning message is output if the
right margin is exceeded.

.p -23,,3
.x Indent, text
.x Text>indent

Text#indent#########--#Number of spaces from the left margin to the start
of a text line.*# The initial value is 0 columns.  (Also see the indent
parameter of the PARAGRAPH command.)

.p 0,,3

This parameter is set by the INDENT command for a single text line.  It is
set for the first line of each paragraph by the PARAGRAPH command.

.lm

.;CASE
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix CASE INFORMATION
.x Case control

For files prepared on a terminal incapable of inputing lowercase
characters, specification of case can be done with two special
characters:  circumflex (_^ [136 octal]), and backslash (_\ [134
octal]).  The appearance of a circumflex causes the letter immediately
following to be output in uppercase.  The appearance of a backslash
causes the letter immediately following to be converted to lowercase.
Any letter not preceded by one of these characters is output in the
current mode.  The mode is initially uppercase, and is changed by the
occurrence of two successive case control characters.  Two circumflexes
(_^_^) cause the mode to be set to uppercase, and two backslashes (_\_\)
cause the mode to be set to lowercase.

.s

The use of the above corresponds to the use of the shift and
shift-lock keys on a typewriter.  Usually, typing appears
in lowercase.  To type one letter in uppercase, the shift
key is used.  The shift-lock is set to type a series of
uppercase letters, after which it is released.

.s

The following shows the uses of the case control characters:

.s
.i 6,^^_^HERE IS A _^SAMPLE _^SENTENCE IN _^_^UPPERCASE_\_\ AND LOWERCASE.\\
.s
becomes:
.s
.i 6,^HERE IS A ^SAMPLE ^SENTENCE IN ^^UPPERCASE\\ AND LOWERCASE.
.uc
.note

Case conversion takes place only on ASCII codes 101 to 132 octal, that
is, the uppercase letters.  Any actual lowercase letters (codes 141 to
172 octal) appearing in the input will be transmitted unchanged.  If
the input is prepared on a de=vice which produce letters of the proper
case, the mode should be set to uppercase at the beginning of the file
(that is, the default setting) and left unchanged for the =remainder.

.end note
.x Flag character>capitalization
.x Word>capitalization

An additional special character, less-than (< [74 octal]), capitalizes
the =entire word it precedes.  It then returns the file to the current
case.  This character is not engaged unless the FLAGS#CAPITALIZE command
has been issued.

.;SPECIAL CHARS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix SPECIAL CHARACTERS
.x Special characters

Below is a list of RUNOFF's special characters.  To appear in the output
text, each must be preceded by the quote character (itself a special
=character) or a DISABLE SPECIAL command must be used to turn off the
special interpretation of all these characters.

.lm +8
.s 2
.nf
.x Underbar character (__)
.x #__  (quote character)
.x Quote character
##__	Quote a special character (1)

.footnote 3
.lm +5.p -5,1
(1)##May be replaced by a user-selected character with the
QUOTE =CHARACTER command.
!

.x Carat character (_^)
.x Circumflex character (_^)
.x #_^  (shift character)
.x Shift character
.x Lock character
##_^	Shift character for uppercase; signal to begin
		underscoring (when followed by "_&")
         
.x Backslash character (_\)
.x #_\  (unlock character)
.x Unlock character
##_\	Shift character for lowercase; signal to end
		underscoring (when followed by "_&")

.x Number-sign character (_#)
.x #_#  (explicit-space character)
.x Quoted space
.x Explicit space
##_#	Quoted-space character

.x Ampersand character (_&)
.x #_&  (underscore character)
.x Underscore character
.x Underlining
##_&	Underscore (use "_^_&" and "_\_&" to start and stop
		continuous underscoring, respectively)

.x Equal-sign character (_=)
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Hyphenation>flag character
.x Flag character>hyphenation
.x Preferred hyphenation
##_=	Flag character for disabling/specifying hyphenation (2)

.footnote 2
.p -5,1
(2)##Only becomes a special character if FLAGS HYPHENATE is engaged.
!

.x Less-than character (_<)
.x #_<  (capitalization character)
.x Capitalization character
.x Word>capitalization
.x Flag character>capitalization
.x Case control
##_<	Flag character for uppercase (3)

.footnote 2
.p -5,1
(3)##Only becomes a special character if FLAGS CAPITALIZE is engaged.
!

.x Greater-than character (_>)
.x #_>  (subindex flag character)
.x Subindexing>flag character
.x Flag character>subindexing
##_>	Flag character for subindexing (4)

.footnote 4
.p -5,1
(4)##Only a special character if FLAGS#SUBINDEX is engaged (the initial
setting); and then, only a special character within ENTRY and INDEX
commands.
!

.f
.lm 0
.rm

.;AUTOMATIC CONTENTS POSITIONING
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix AUTOMATIC POSITIONING OF CONTENTS
.x Tables of contents
.x Contents, tables of

As described earlier, RUNOFF is capable of producing tables of contents.
Normally, the tables are output at the end of the output file and have
to be moved to the proper place at the front of the output.  It would be
desirable, of course, to have the tables automatically placed at the
front of the output document.  If you are willing to tolerate a doubling
of the time required for RUNOFF to process an input file, you can use
the procedure described in this appendix to achieve that result.

.p 0,1,2

The following procedure uses the ENABLE and DISABLE commands to control
what is written to the output file.  Optional-input commands are used to
provide overall control.

.p

The first step is to set up your input file in the format below.

.note ^&NOTES\&

As elsewhere in this manual, angle brackets are used to
=enclose a description of what should appear in the input.

.s

Option 32 should not be used for any other purpose than shown
below.

.end note

.nf
_.; *** GENERAL SETUP
_.;
<commands for RUNOFF initialization>
_.;
_.SPACING 1              ! Important if spacing is changed below for the
_.;                        tables of contents
_.DISABLE OUTPUT         ! The following lines reset chapter and header
_.AUTOCONTENTS -1        ! level numbers _& appendix letter for pass _#2
_.CHAPTER
_.NUMBER CHAPTER 1
_.NUMBER APPENDIX A
_.AUTOCONTENTS           ! Turn automatic contents back on
_.;                      ! (modify as required to suit your needs)
_.; *** TITLE PAGE
_.;
_.DISABLE OUTPUT         ! Assume no title page to be output
_.INCLUDE 32             ! Output it if only doing 1 pass...
_.OPTION 32              ! ...or if this is 1st pass of 2
_.ENABLE OUTPUT
_.END OPTION 32
.s
<commands and text for title page and other preface material>
.s
_.; *** TABLES OF CONTENTS -- appear here if 2-pass processing is done
.s
_.; *** BODY OF DOCUMENT
.p 0,1,5
_.ENABLE OUTPUT          ! Assume main body is to be output
_.EXCLUDE 32             ! Leave setting alone if only doing 1 pass...
_.OPTION 32              ! ...else, disable if this is 1st pass of 2
_.DISABLE OUTPUT
_.DISABLE INDEX          ! Make sure there's room for contents
_.END OPTION 32
.s
<commands and text for main body of document>
.s
<commands for outputting the index>
.s
_.; *** TABLES OF CONTENTS -- requested here
.s
_.DISABLE OUTPUT         ! Assume no tables of contents
_.INCLUDE 32             ! Output them if only doing 1 pass...
_.OPTION 32              ! ...or if this is 1st pass of 2
_.ENABLE OUTPUT
_.END OPTION 32
.s
<commands for formatting and outputting the tables of contents>
.s
_.; *** END OF THE INPUT FILE
.fill

.p 0,2,4

Once the input file is completed, use a RUNOFF command line with the
=following form to produce the output file:

.s.c RNO <output>_=<input>/IN:32,<input>/EX:32
.p 0,1,2

where the same input file is to be specified in both places.  This will
cause two passes through the input file.  The first pass will output the
title page and other material which appears before the tables of
=contents.  The entire body of the document will be processed without
=writing to the output file.  The tables of contents will then be output.

.p

Once the first pass is completed, the second pass will begin.  The title
page and other preface material will be skipped and the body of the
=document will be output.  When the commands for the tables of contents
are reached, they will cause no output.

.p

Warning messages will result from the INCLUDE and EXCLUDE commands in
the input file, but the output will still be as desired.

.;INITIAL CONDITIONS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix INITIAL CONDITIONS
.x Initial settings
.x Values>initial
.x Arguments>initial settings
.x Command>arguments>initial settings

The following list summarizes the conditions in effect when RUNOFF
=execution begins.

.lm +5
.nf
.p -5,1,3
Page Format:
.s
PAGE FORMAT 0,56,0,60
PAGE SIZE 56,60
SPACING 1
LEFT MARGIN 0
RIGHT MARGIN 60
TAB STOPS 8,16,24,32,40,48,56,64,72,80,88,96,104,112,120,...,248
.p -5,1,3
Page Header:
.s
HEADER MIXED,5,0,60
TITLE
.rj (i.e., no title is set)   #
.option 5
FIRST TITLE
.rj (i.e., no title is set)   #
.end option 5
SUBTITLE
.rj (i.e., no subtitle is set)#
AUTOSUBTITLE 0
PAGE NAME
.rj (i.e., no page name is set)
NO ALTERNATE
NO ALTERNATING TITLE
.p -5,1,3
Pagination:
.s
NUMBER 1
NUMBER CHAPTER 1
NUMBER APPENDIX A
.p -5,1,3
Mode Setting:
.s
FILL
JUSTIFY
NO AUTOPARAGRAPH
HYPHENATION 2
NO FLAGS HYPHENATE
FLAGS SUBINDEX
PERIOD
QUOTE CHARACTER __
ENABLE BLOCK
ENABLE CONTENTS
ENABLE INDEX
ENABLE OUTPUT
DISABLE RUNNING
ENABLE SPECIAL
UPPERCASE
NO FLAGS CAPITALIZE
.p -5,1,3
Text Formatting:
.s
INDENT 0
PARAGRAPH 5,1,2
LEVEL STYLE 1, 3, 5, 1
LEVEL STYLE 2, 3, 5, 1
LEVEL STYLE -3, 3, 5, 1
LEVEL STYLE 4, 3, 5, 1
LEVEL STYLE 5, 3, 5, 1
.p -5,1,3
Deferred-Output:
.s
FOOTNOTE LINE 15,__
.p -5,1,3
Table of Contents:
.s
AUTOCONTENTS 5
.f.lm

.;SUMMARY OF COMMANDS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix ALPHABETICAL LIST OF COMMANDS
.x Abbreviations, command
.x Command>abbreviations
.x Command>summary
.x Default values
.x Values>default
.x Initial settings
.x Values>initial
.s 2

All the RUNOFF commands are listed here.  The following information is
=provided for each command, as appropriate:

.lm 16.p -11,1,2
^&Parms\&###--#A summary of the command parameters, including for each
           parameter:  name, type, initial value and default value
.p
^&Abbrev\&##--#The acceptable command abbreviation(s)
.p
^&Special\&#--#Any special effects of the command or considerations for
           its use
.p
^&Related\&#--#Related command(s)

.lm.s 2
.nf
			  ------- Parameter Descriptions (*) -------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f

.footnote 10
.s.nf
.no flags hyphenate
*  Abbreviations used in this table:

   Parameter ^&type\&:  C = Character        R = Relative or absolute number
		    K = Keyword          S = Signed or unsigned number
		    N = Number           T = Text string

	(Letters in square brackets indicate optional parameters.)

   ^&Default\& values:  cs = Current Specification
.flags hyphenate
! (end of footnote)

.; THE FOLLOWING BLOCKS CAUSE THE COLUMN HEADINGS TO APPEAR
.; AT THE TOP OF EACH PAGE

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.block 50,1,0
.nf
			  --------- Parameter Descriptions ---------
.qc `
			  ^&Name__________Type_____Initial_____Default\&
.qc _
.f
! (end of block)

.; Summary continued
.;
.nf
.s
ALTERNATE	Parms:	  <offset>	[R]			0
		Abbrev:	  AL
		Special:  Not permitted in footnote or block
		Related:  NO ALTERNATE
.p 0,1,3
ALTERNATING	Abbrev:	  AT
   TITLE	Special:  Not permitted in footnote or block
		Related:  NO ALTERNATING TITLE, SUBTITLE, TITLE
.p ,,2,4
APPENDIX	Parms:	  <text>	[T]		     No text
		Abbrev:	  AX
		Special:  Breaks; not allowed in footnote, block or note
		Related:  NUMBER APPENDIX, AUTOCONTENTS
.p ,,2,4
AUTOCONTENTS	Parms:	  <level>	[S]	    5		5
		Abbrev:	  AC
		Special:  Not permitted in footnote or block
		Related:  APPENDIX, CHAPTER, HEADER LEVEL
.p
AUTOPARAGRAPH	Abbrev:	  AP
		Related:  NO AUTOPARAGRAPH, PARAGRAPH
.p ,,2,4
AUTOSUBTITLE	Parms:	  <level>	[R]	    0		1
		Abbrev:	  AS
		Special:  Not permitted in footnote or block
		Related:  HEADER LEVEL
.p ,,2,4
BLANK		Parms:	  <lines>	[S]			1
		Abbrev:	  B
		Special:  Breaks
		Related:  SKIP, FIGURE
.p ,,3,6,2
BLOCK		Parms:    <length>	 N
			  <setoff>	[N]			2
			  <alt space>	[N]			0
		Abbrev:   none
		Special:  Breaks; not permitted in footnote or block
		Related:  ENABLE BLOCK, DISABLE BLOCK, DUMP
.p
BREAK		Abbrev:	  BR
		Special:  Breaks
.p ,,2,4
CENTER		Parms:	  <column>	[R]		     <rt marg>
CENTRE			  <text>	[T]		    <next line>
		Abbrev:	  C
		Special:  Breaks
.p
CHAIN		Parms:	  <file>	 T
		Special:  Not allowed in footnote or block
		Related:  REQUIRE, EOF
.p ,,2,4
CHAPTER		Parms:	  <text>	[T]		      No text
		Abbrev:	  CH
		Special:  Breaks; not allowed in footnote, block or note
		Related:  NUMBER CHAPTER, AUTOCONTENTS
.p
COMMENT		Parms:	  <text>	[T]		       None
		Abbrev:	  ;  or  !
.p ,,2,5
CONTENTS	Parms:	  <index>	[N]			1
			  <text>	[T]		   <blank line>
		Abbrev:	  CON
		Related:  DO CONTENTS, PRINT CONTENTS, DISABLE CONTENTS,
			  ENABLE CONTENTS
.p ,,4
DISABLE		Parms:	  <function>	 K
		Abbrev:	  DIS
		Special:  Breaks
		Related:  ENABLE
.p ,,3,6,2
DO CONTENTS	Parms:	  <spacing 1>	[N]		  <text spacing>
			  <spacing 2>	[N]		  <text spacing>
			  <spacing 3>	[N]		  <text spacing>
		Abbrev:	  DC
		Special:  Breaks; not allowed in footnote, block or note
		Related:  CONTENTS, PRINT CONTENTS
.p ,,2,4
DO INDEX	Parms:	  <text>	[T]		      INDEX
		Abbrev:	  DX
		Special:  Breaks; not allowed in footnote, block or note
		Related:  INDEX, ENTRY, PRINT INDEX
.p
DUMP		Special:  Breaks; not allowed in footnote, block or note
		Related:  BLOCK
.p
ELSE		Parms:	  <option _#>	 S
		Related:  INCLUDE, EXCLUDE, OPTION, END OPTION
.p ,,2,4
ENABLE		Parms:	  <function>	 K
		Abbrev:	  ENA
		Special:  Breaks
		Related:  DISABLE
.p ,,2,4
END LIST	Parms:	  <lines>	[N]		   <LIST parm>
		Abbrev:	  ELS
		Special:  Breaks
		Related:  LIST, LIST ELEMENT
.p ,,3
END LITERAL	Abbrev:	  ELI
		Special:  Breaks
		Related:  LITERAL
.p ,,2,4
END NOTE	Parms:	  <lines>	[N]			2
		Abbrev:	  EN
		Special:  Breaks
		Related:  NOTE
.p ,,3
END OPTION	Parms:	  <option _#>	 S
		Abbrev:	  ENDO
		Related:  INCLUDE, EXCLUDE, OPTION, ELSE
.p
END SUBPAGE	Special:  Breaks; not allowed in footnote or block
		Related:  SUBPAGE
.p ,,4
ENTRY		Parms:	  <text>	 T
		Abbrev:	  Y
		Related:  INDEX, DO INDEX, PRINT INDEX, DISABLE INDEX,
			  ENABLE INDEX
.p
EOF		Special:  Breaks; not allowed in footnote or block
		Related:  REQUIRE, CHAIN
.p ,,2,4
EVEN		Parms:	  <lines>	[N]			7
			  <text>	[T]		     No text
		Special:  Breaks; not allowed in footnote or block
		Related:  ODD, PAGE
.p ,,3
EXCLUDE		Parms:	  <option _#>	 N
		Abbrev:	  EX
		Related:  INCLUDE, OPTION, ELSE, END OPTION
.p ,,3,6,2
FIGURE		Parms: 	  <length>	[N]			1
			  <setoff>	[N]			0
			  <text>	[T]		     No text
		Abbrev:	  FG
		Special:  Breaks
		Related:  BLANK, SKIP
.p ,,3
FILL		Abbrev:	  F
		Special:  Breaks
		Related:  NO FILL, NO JUSTIFY
.;
.option 5
.p ,,2,4
FIRST TITLE	Parms:	  <text>	[T]	No title     No title
		Abbrev:	  FT
		Special:  Not allowed in footnote, block, or note
		Related:  TITLE, HEADER
.end option 5
.;
.p ,,2
FLAGS		Abbrev:	  FL CAPITALIZE
   CAPITALIZE	Related:  NO FLAGS CAPITALIZE, NO FLAGS
.p
FLAGS		Abbrev:	  FL HYPHENATE
   HYPHENATE	Related:  NO FLAGS HYPHENATE, NO FLAGS
.p
FLAGS		Abbrev:	  FL SUBINDEX
   SUBINDEX	Related:  NO FLAGS SUBINDEX, NO FLAGS
.p ,,2,4
FOOTNOTE	Parms:	  <lines>	 N
		Abbrev:	  FN
		Special:  Not allowed in footnote or block
		Related:  FOOTNOTE LINE
.p ,,2,5
FOOTNOTE LINE	Parms:	  <number>	[N]	    15		cs
			  <char>	[C]	    __	     Disable
		Abbrev:	  FNL
		Special:  Not allowed in footnote or block
		Related:  FOOTNOTE
.p ,,4,7,2
HEADER		Parms:	  <style>	[K]	  MIXED	      MIXED
			  <length>	[R]	    5		cs
			  <left marg>	[R]	    0		cs
			  <right marg>	[R]	    60		cs
		Abbrev:	  HD
		Special:  Not allowed in footnote or block
		Related:  NO HEADER, ALTERNATE, TITLE, NUMBER
.p ,,2,5
HEADER LEVEL	Parms:	  <level>	[R]	    1		cs
			  <text>	[T]		     No text
		Abbrev:	  HL
		Special:  Breaks; not allowed in footnote, block or note
		Related:  LEVEL STYLE, AUTOCONTENTS, AUTOSUBTITLE
.p ,,2,4
HYPHENATION	Parms:	  <mode>	[N]	    2		2
		Abbrev:	  HY
		Special:  Breaks
		Related:  NO HYPHENATION, FLAGS HYPHENATE
.p ,,3
INCLUDE		Parms:	  <option _#>	 N
		Abbrev:	  IN
		Related:  EXCLUDE, OPTION, ELSE, END OPTION
.p ,,2,4
INDENT		Parms:	  <spaces>	[S]	    0	   <PARA indent>
			  <text>	[T]		    <next line>
		Abbrev:	  I
		Special:  Breaks
		Related:  PARAGRAPH
.p ,,4
INDEX		Parms:	  <text>	 T
		Abbrev:	  X
		Related:  ENTRY, DO INDEX, PRINT INDEX, DISABLE INDEX,
			  ENABLE INDEX
.p ,,3
JUSTIFY		Abbrev:	  J
		Special:  Breaks
		Related:  NO JUSTIFY, FILL

.; Summary continued
.;
.p ,,2,4
LEFT MARGIN	Parms:	  <spaces>	[R]	    0		0
		Abbrev:	  LM
		Special:  Breaks
		Related:  RIGHT MARGIN, CENTER, INDENT
.p ,,4,6,2
LEVEL STYLE	Parms:	  <level>	 S      1 2 -3 4 5
			  <skip 1>	[R]     3 3  3 3 3      cs
			  <test>	[R]     5 5  5 5 5      cs
			  <skip 2>	[R]     1 1  1 1 1      cs
		Special:  Not allowed in footnote or block
		Related:  HEADER LEVEL
.p ,,2,5
LIST		Parms:	  <lines>	[N]	    1	  <latest value>
			  <char>	[C]		 <numbered list>
		Abbrev:	  LS
		Special:  Breaks
		Related:  LIST ELEMENT, END LIST
.p ,,2,4
LIST ELEMENT	Parms:	  <lines>	[N]	    1	  <latest value>
			  <text>	[T]		   <next line>
		Abbrev:	  LE
		Special:  Breaks
		Related:  LIST, END LIST
.p ,,3
LITERAL		Abbrev:	  LIT
		Special:  Breaks
		Related:  END LITERAL
.p ,,2
LOWERCASE	Abbrev:	  LC
		Related:  UPPERCASE
.p ,,3
NO ALTERNATE	Abbrev:	  NAL
		Special:  Not permitted in footnote or block
		Related:  ALTERNATE
.p
NO ALTERNATING	Abbrev:	  NAT
   TITLE	Special:  Not permitted in footnote or block
		Related:  ALTERNATING TITLE
.p ,,2
NO AUTO-	Abbrev:	  NAP
   PARAGRAPH	Related:  AUTOPARAGRAPH
.p ,,3
NO FILL		Abbrev:	  NF
		Special:  Breaks
		Related:  FILL, NO JUSTIFY
.p ,,2
NO FLAGS	Abbrev:	  NFL
		Related:  FLAGS CAPITALIZE, ...
.p
NO FLAGS	Abbrev:	  NFC
   CAPITALIZE	Related:  FLAGS CAPITALIZE
.p
NO FLAGS	Abbrev:	  NFH
   HYPHENATE	Related:  FLAGS HYPHENATE
.p
NO FLAGS	Abbrev:	  NFS
   SUBINDEX	Related:  FLAGS SUBINDEX, INDEX, ENTRY
.p ,,3
NO HEADER	Abbrev:	  NHD
		Special:  Not allowed in footnote or block
		Related:  HEADER
.p
NO HYPHENATION	Abbrev:	  NHY
		Special:  Breaks
		Related:  HYPHENATION
.p
NO JUSTIFY	Abbrev:	  NJ
		Special:  Breaks
		Related:  JUSTIFY, FILL, NO FILL
.p ,,3
NO NUMBER	Abbrev:	  NNM
		Special:  Not allowed in footnote or block
		Related:  NUMBER
.p ,,2
NO PERIOD	Abbrev:	  NPR
		Related:  PERIOD
.p ,,2,5
NOTE		Parms:	  <indent>	[N]			5
			  <text>	[T]			NOTE
		Abbrev:	  NT
		Special:  Breaks; not allowed in note
		Related:  END NOTE
.p ,,2,4
NUMBER		Parms:	  <number>	[R]	    1		cs
		Abbrev:	  NM
		Special:  Not allowed in footnote or block
		Related:  NO NUMBER, DISABLE/ENABLE RUNNING
.p ,,3
NUMBER		Parms:	  <letter>	 C	    A
   APPENDIX	Special:  Not allowed in footnote or block
		Related:  APPENDIX
.p
NUMBER		Parms:	  <number>	 N	    1
   CHAPTER	Special:  Not allowed in footnote or block
		Related:  CHAPTER
.p ,,2,4
ODD		Parms:	  <lines>	[N]			7
			  <text>	[T]		     No text
		Special:  Breaks; not allowed in footnote or block
		Related:  EVEN, PAGE
.p ,,3
OPTION		Parms:	  <option _#>	 S
		Abbrev:	  OPT
		Related:  INCLUDE, EXCLUDE, ELSE, END OPTION
.p
PAGE		Abbrev:	  PG
		Special:  Breaks; not allowed in footnote or block
		Related:  SUBPAGE, EVEN, ODD
.p ,,4,7,2
PAGE FORMAT	Parms:	  <top>		[R]	    0		cs
			  <length>	[R]	    56		cs
			  <left base>	[R]	    0		cs
			  <width>	[R]	    60		cs
		Abbrev:	  PF
		Special:  Breaks; not allowed in footnote or block
		Related:  PAGE SIZE, HEADER, RIGHT MARGIN
.p ,,2,4
PAGE NAME	Parms:	  <text>	[T]	 No name     No name
		Abbrev:	  PN
		Special:  Not allowed in footnote or block
		Related:  SUBTITLE, TITLE, NUMBER
.p ,,2,5
PAGE SIZE	Parms:	  <length>	[R]	    56		cs
PAPER SIZE		  <width>	[R]	    60		cs
		Abbrev:	  PS
		Special:  Breaks; not allowed in footnote or block
		Related:  PAGE FORMAT, RIGHT MARGIN
.p ,,3,8,2
PARAGRAPH	Parms:	  <indent>	[S]	    5		cs
			  <skip>	[N]	    1		cs
			  <start>	[N]	    2		cs
			  <length>	[N]		       none
			  <end>		[N]		      <start>
		Abbrev:	  P
		Special:  Breaks
		Related:  INDENT, SKIP, TEST PAGE, AUTOPARAGRAPH
.p ,,2
PERIOD		Abbrev:	  PR
		Related:  NO PERIOD
.p ,,2
PRINT		Parms:	  <text>	[T]		   <blank line>
		Related:  REQUIRE
.p ,,2,4
PRINT CONTENTS	Parms:	  <index>	[N]			1
		Abbrev:	  PC
		Special:  Breaks; not allowed in footnote, block or note
		Related:  AUTOCONTENTS, CONTENTS, DO CONTENTS
.p ,,2,5
PRINT INDEX	Parms:	  <indent>	[N]			2
			  <spacing>	[N]			2
		Abbrev:	  PX
		Special:  Breaks; not allowed in footnote, block or note
		Related:  INDEX, ENTRY, DO INDEX
.p
QUOTE CHARACTER	Parms:	  <char>	[C]	    __		__
		Abbrev:	  QC
.p ,,2,4
REQUIRE		Parms:	  <file>	 T
		Abbrev:	  REQ
		Special:  Not allowed in footnote or block
		Related:  CHAIN, EOF
.p ,,3
RIGHT JUSTIFY	Parms:	  <column>	[R]		  <right margin>
			  <text>	[T]		     Next line
		Abbrev:	  RJ
.p ,,2,4
RIGHT MARGIN	Parms:	  <column>	[R]	    60	   <page width>
		Abbrev:	  RM
		Special:  Breaks
		Related:  PAGE FORMAT, PAGE SIZE, CENTER, RIGHT JUSTIFY
.p ,,2,4
SKIP		Parms:	  <lines>	[S]			1
		Abbrev:	  S  or  SK
		Special:  Breaks
		Related:  BLANK, FIGURE
.p ,,2,4
SPACING		Parms:	  <lines>	 N	    1
		Abbrev:	  SP
		Special:  Breaks
		Related:  SKIP, PARAGRAPH, TEST PAGE
.p ,,3
STANDARD	Parms:	  <column>	[R]		   <page width>
		Abbrev:	  SD
		Special:  Breaks; not allowed in footnote or block
.p ,,2
SUBPAGE		Special:  Breaks; not allowed in footnote or block
		Related:  END SUBPAGE, PAGE
.p ,,2,4
SUBTITLE	Parms:	  <text>	[T]	No sub.	      No sub.
		Abbrev:	  ST  or  SUBTTL
		Special:  Not allowed in footnote or block
		Related:  ALTERNATING TITLE, HEADER
.p
TAB STOPS	Parms:	  <column>	[R]	8,16,...    8,16,...
		Abbrev:	  TS
.p ,,3,6,2
TEST LINES	Parms:	  <start>	 N
			  <length>	[N]		       none
			  <end>		[N]		     <start>
		Abbrev:	  TL
		Special:  Breaks; not allowed in footnote or block
		Related:  TEST PAGE
.p ,,3,6,2
TEST PAGE	Parms:	  <start>	 N
			  <length>	[N]		       none
			  <end>		[N]		     <start>
		Abbrev:	  TP
		Special:  Breaks; not allowed in footnote or block
		Related:  PARAGRAPH, TEST LINES
.p ,,2,4
TITLE		Parms:	  <text>	[T]	No title     No title
		Abbrev:	  T
		Special:  Not allowed in footnote or block
		Related:  ALTERNATING TITLE, HEADER
.p
UPPERCASE	Abbrev:	  UC
		Related:  LOWERCASE

.;ABBREVIATIONS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix COMMAND ABBREVIATIONS
.x Abbreviations, command
.x Command>abbreviations
.s 2
.nf
.lm +20
^&Abbreviation     Command\&
.s
.;
.block 50,1
.lm +20
^&Abbreviation     Command\&
! (end of block)
.;
.lm +5
AC          AUTOCONTENTS
AL          ALTERNATE
AP          AUTOPARAGRAPH
AS          AUTOSUBTITLE
AT          ALTERNATING TITLE
AX          APPENDIX
B           BLANK
BR          BREAK
C           CENTER
CH          CHAPTER
CON         CONTENTS
DC          DO CONTENTS
DIS         DISABLE
DX          DO INDEX
ELI         END LITERAL
ELS         END LIST
EN          END NOTE
ENA         ENABLE
ENDO        END OPTION
EX          EXCLUDE
F           FILL
FG          FIGURE
FNL         FOOTNOTE LINE
FN          FOOTNOTE
.option 5
FT          FIRST TITLE
.end option 5
HD          HEADER
HL          HEADER LEVEL
HY          HYPHENATION
I           INDENT
IN          INCLUDE
J           JUSTIFY
LC          LOWERCASE
LE          LIST ELEMENT
LIT         LITERAL
LM          LEFT MARGIN
LS          LIST
NAL         NO ALTERNATE
NAP         NO AUTOPARAGRAPH
NAT         NO ALTERNATING TITLE
NF          NO FILL
NFC         NO FLAGS CAPITALIZE
NFH         NO FLAGS HYPHENATE
NFL         NO FLAGS
NFS         NO FLAGS SUBINDEX
NHD         NO HEADER
NHY         NO HYPHENATION
NJ          NO JUSTIFY
NM          NUMBER
NNM         NO NUMBER
NPR         NO PERIOD
NT          NOTE
OPT         OPTION
P           PARAGRAPH
PC          PRINT CONTENTS
PF          PAGE FORMAT
PG          PAGE
PN          PAGE NAME
PR          PERIOD
PS          PAGE SIZE
PX          PRINT INDEX
QC          QUOTE CHARACTER
REQ         REQUIRE
RJ          RIGHT JUSTIFY
RM          RIGHT MARGIN
S           SKIP
SD          STANDARD
SK          SKIP
SP          SPACING
ST          SUBTITLE
SUBTTL      SUBTITLE
T           TITLE
TL          TEST LINES
TP          TEST PAGE
TS          TAB STOPS
UC          UPPERCASE
X           INDEX
Y           ENTRY
.f.lm 0.rm

.;INDEX
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.no number

.odd INDEX
.number appendix J
.number 2
.page name Index
.s
.contents INDEX
.print index ,2

.;TABLE OF CONTENTS

.page name
.lm.rm
.header
.t
.st
.number 1
.no number
.odd CONTENTS

.s 2

.print contents 1

.; ***  END OF FILE  ***
